-- Domain Services for Windows Schema Definitions
-- Novell Inc.
-- 1800 South, Novell Place

-- CoPyRiGhT=(c) Copyright 2008, Novell, Inc.  All rights reserved
-- ident $Id: ndsschema.pm 5459 2010-07-29 05:09:17Z skalyanasundaram $

XADSchemaExtensions DEFINITIONS ::=
BEGIN

-- Attribute definition for Account-Expires
"accountExpires" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 159}
}

-- Attribute definition for Account-Name-History
"accountNameHistory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1307}
}

-- Attribute definition for ACS-Aggregate-Token-Rate-Per-User
"aCSAggregateTokenRatePerUser" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 760}
}

-- Attribute definition for ACS-Allocable-RSVP-Bandwidth
"aCSAllocableRSVPBandwidth" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 766}
}

-- Attribute definition for ACS-Cache-Timeout
"aCSCacheTimeout" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 779}
}

-- Attribute definition for ACS-Direction
"aCSDirection" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 757}
}

-- Attribute definition for ACS-DSBM-DeadTime
"aCSDSBMDeadTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 778}
}

-- Attribute definition for ACS-DSBM-Priority
"aCSDSBMPriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 776}
}

-- Attribute definition for ACS-DSBM-Refresh
"aCSDSBMRefresh" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 777}
}

-- Attribute definition for ACS-Enable-ACS-Service
"aCSEnableACSService" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 770}
}

-- Attribute definition for ACS-Enable-RSVP-Accounting
"aCSEnableRSVPAccounting" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 899}
}

-- Attribute definition for ACS-Enable-RSVP-Message-Logging
"aCSEnableRSVPMessageLogging" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 768}
}

-- Attribute definition for ACS-Event-Log-Level
"aCSEventLogLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 769}
}

-- Attribute definition for ACS-Identity-Name
"aCSIdentityName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 784}
}

-- Attribute definition for ACS-Max-Aggregate-Peak-Rate-Per-User
"aCSMaxAggregatePeakRatePerUser" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 897}
}

-- Attribute definition for ACS-Max-Duration-Per-Flow
"aCSMaxDurationPerFlow" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 761}
}

-- Attribute definition for ACS-Maximum-SDU-Size
"aCSMaximumSDUSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1314}
}

-- Attribute definition for ACS-Max-No-Of-Account-Files
"aCSMaxNoOfAccountFiles" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 901}
}

-- Attribute definition for ACS-Max-No-Of-Log-Files
"aCSMaxNoOfLogFiles" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 774}
}

-- Attribute definition for ACS-Max-Peak-Bandwidth
"aCSMaxPeakBandwidth" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 767}
}

-- Attribute definition for ACS-Max-Peak-Bandwidth-Per-Flow
"aCSMaxPeakBandwidthPerFlow" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 759}
}

-- Attribute definition for ACS-Max-Size-Of-RSVP-Account-File
"aCSMaxSizeOfRSVPAccountFile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 902}
}

-- Attribute definition for ACS-Max-Size-Of-RSVP-Log-File
"aCSMaxSizeOfRSVPLogFile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 775}
}

-- Attribute definition for ACS-Max-Token-Bucket-Per-Flow
"aCSMaxTokenBucketPerFlow" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1313}
}

-- Attribute definition for ACS-Max-Token-Rate-Per-Flow
"aCSMaxTokenRatePerFlow" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 758}
}

-- Attribute definition for ACS-Minimum-Delay-Variation
"aCSMinimumDelayVariation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1317}
}

-- Attribute definition for ACS-Minimum-Latency
"aCSMinimumLatency" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1316}
}

-- Attribute definition for ACS-Minimum-Policed-Size
"aCSMinimumPolicedSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1315}
}

-- Attribute definition for ACS-Non-Reserved-Max-SDU-Size
"aCSNonReservedMaxSDUSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1320}
}

-- Attribute definition for ACS-Non-Reserved-Min-Policed-Size
"aCSNonReservedMinPolicedSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1321}
}

-- Attribute definition for ACS-Non-Reserved-Peak-Rate
"aCSNonReservedPeakRate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1318}
}

-- Attribute definition for ACS-Non-Reserved-Token-Size
"aCSNonReservedTokenSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1319}
}

-- Attribute definition for ACS-Non-Reserved-Tx-Limit
"aCSNonReservedTxLimit" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 780}
}

-- Attribute definition for ACS-Non-Reserved-Tx-Size
"aCSNonReservedTxSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 898}
}

-- Attribute definition for ACS-Permission-Bits
"aCSPermissionBits" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 765}
}

-- Attribute definition for ACS-Policy-Name
"aCSPolicyName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 772}
}

-- Attribute definition for ACS-Priority
"aCSPriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 764}
}

-- Attribute definition for ACS-RSVP-Account-Files-Location
"aCSRSVPAccountFilesLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 900}
}

-- Attribute definition for ACS-RSVP-Log-Files-Location
"aCSRSVPLogFilesLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 773}
}

-- Attribute definition for ACS-Server-List
"aCSServerList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1312}
}

-- Attribute definition for ACS-Service-Type
"aCSServiceType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 762}
}

-- Attribute definition for ACS-Time-Of-Day
"aCSTimeOfDay" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 756}
}

-- Attribute definition for ACS-Total-No-Of-Flows
"aCSTotalNoOfFlows" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 763}
}

-- Attribute definition for Additional-Trusted-Service-Names
"additionalTrustedServiceNames" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 889}
}

-- Attribute definition for Address-Book-Roots
"addressBookRoots" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1244}
}

-- Attribute definition for Address-Entry-Display-Table
"addressEntryDisplayTable" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 324}
}

-- Attribute definition for Address-Entry-Display-Table-MSDOS
"addressEntryDisplayTableMSDOS" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 400}
}

-- Attribute definition for Address-Syntax
"addressSyntax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	4096,
	ASN1ObjID	{1 2 840 113556 1 2 255}
}

-- Attribute definition for Address-Type
"addressType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 2 350}
}

-- Attribute definition for Admin-Context-Menu
"adminContextMenu" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 614}
}

-- Attribute definition for Admin-Count
"adminCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 150}
}

-- Attribute definition for Admin-Description
"adminDescription" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 2 226}
}

-- Attribute definition for Admin-Display-Name
"adminDisplayName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 2 194}
}

-- Attribute definition for Admin-Multiselect-Property-Pages
"adminMultiselectPropertyPages" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1690}
}

-- Attribute definition for Admin-Property-Pages
"adminPropertyPages" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 562}
}

-- Attribute definition for Allowed-Attributes
"allowedAttributes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 913}
}

-- Attribute definition for Allowed-Attributes-Effective
"allowedAttributesEffective" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 914}
}

-- Attribute definition for Allowed-Child-Classes
"allowedChildClasses" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 911}
}

-- Attribute definition for Allowed-Child-Classes-Effective
"allowedChildClassesEffective" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 912}
}

-- Attribute definition for Alt-Security-Identities
"altSecurityIdentities" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 867}
}

-- Attribute definition for ANR
"aNR" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1208}
}

-- Attribute definition for Application-Name
"applicationName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 218}
}

-- Attribute definition for Applies-To
"appliesTo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 341}
}

-- Attribute definition for App-Schema-Version
"appSchemaVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 848}
}

-- Attribute definition for Asset-Number
"assetNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 283}
}

-- Attribute definition for Assistant
"assistant" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 8 4 2}
}

-- Attribute definition for associatedDomain
"associatedDomain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 37}
}

-- Attribute definition for Assoc-NT-Account
"assocNTAccount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1213}
}

-- Attribute definition for attributeCertificateAttribute
"attributeCertificateAttribute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 58}
}

-- Attribute definition for Attribute-Display-Names
"attributeDisplayNames" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 748}
}

-- Attribute definition for Attribute-ID
"attributeID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 30}
}

-- Attribute definition for attributeMap
"attributeMap" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 9}
}

-- Attribute definition for Attribute-Security-GUID
"attributeSecurityGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 149}
}

-- Attribute definition for Attribute-Syntax
"attributeSyntax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 32}
}

-- Attribute definition for Auditing-Policy
"auditingPolicy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 202}
}

-- Attribute definition for authenticationMethod
"authenticationMethod" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 6}
}

-- Attribute definition for Authentication-Options
"authenticationOptions" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 11}
}

-- Attribute definition for automountInformation
"automountInformation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 33}
}

-- Attribute definition for automountKey
"automountKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 32}
}

-- Attribute definition for automountMapName
"automountMapName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 31}
}

-- Attribute definition for Auxiliary-Class
"auxiliaryClass" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 351}
}

-- Attribute definition for Bad-Password-Time
"badPasswordTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 49}
}

-- Attribute definition for Bad-Pwd-Count
"badPwdCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 12}
}

-- Attribute definition for bindTimeLimit
"bindTimeLimit" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 4}
}

-- Attribute definition for Birth-Location
"birthLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	32,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 4 332}
}

-- Attribute definition for bootFile
"bootFile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 24}
}

-- Attribute definition for bootParameter
"bootParameter" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 23}
}

-- Attribute definition for Bridgehead-Server-List-BL
"bridgeheadServerListBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 820}
}

-- Attribute definition for Bridgehead-Transport-List
"bridgeheadTransportList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 819}
}

-- Attribute definition for buildingName
"buildingName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 48}
}

-- Attribute definition for Builtin-Creation-Time
"builtinCreationTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 13}
}

-- Attribute definition for Builtin-Modified-Count
"builtinModifiedCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 14}
}

-- Attribute definition for Bytes-Per-Minute
"bytesPerMinute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 284}
}

-- Attribute definition for CA-Certificate-DN
"cACertificateDN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 697}
}

-- Attribute definition for CA-Connect
"cAConnect" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 687}
}

-- Attribute definition for Canonical-Name
"canonicalName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 916}
}

-- Attribute definition for Can-Upgrade-Script
"canUpgradeScript" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 815}
}

-- Attribute definition for Catalogs
"catalogs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 675}
}

-- Attribute definition for Categories
"categories" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 672}
}

-- Attribute definition for Category-Id
"categoryId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 322}
}

-- Attribute definition for CA-Usages
"cAUsages" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 690}
}

-- Attribute definition for CA-WEB-URL
"cAWEBURL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 688}
}

-- Attribute definition for Certificate-Authority-Object
"certificateAuthorityObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 684}
}

-- Attribute definition for Certificate-Templates
"certificateTemplates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 823}
}

-- Attribute definition for Class-Display-Name
"classDisplayName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 610}
}

-- Attribute definition for Text-Country
"co" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{0 9 2342 19200300 100 1 43}
}

-- Attribute definition for Code-Page
"codePage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65535,
	ASN1ObjID	{1 2 840 113556 1 4 16}
}

-- Attribute definition for COM-ClassID
"cOMClassID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 19}
}

-- Attribute definition for COM-CLSID
"cOMCLSID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 249}
}

-- Attribute definition for COM-InterfaceID
"cOMInterfaceID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 20}
}

-- Attribute definition for User-Comment
"comment" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 156}
}

-- Attribute definition for COM-Other-Prog-Id
"cOMOtherProgId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 253}
}

-- Attribute definition for Company
"company" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{2 16 840 1 113719 1 8 4 5}
}

-- Attribute definition for COM-ProgID
"cOMProgID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 21}
}

-- Attribute definition for COM-Treat-As-Class-Id
"cOMTreatAsClassId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 251}
}

-- Attribute definition for COM-Typelib-Id
"cOMTypelibId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 254}
}

-- Attribute definition for COM-Unique-LIBID
"cOMUniqueLIBID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 250}
}

-- Attribute definition for Content-Indexing-Allowed
"contentIndexingAllowed" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 24}
}

-- Attribute definition for Context-Menu
"contextMenu" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 499}
}

-- Attribute definition for Control-Access-Rights
"controlAccessRights" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 200}
}

-- Attribute definition for Cost
"cost" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 135}
}

-- Attribute definition for Country-Code
"countryCode" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65535,
	ASN1ObjID	{1 2 840 113556 1 4 25}
}

-- Attribute definition for Create-Dialog
"createDialog" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 810}
}

-- Attribute definition for Create-Wizard-Ext
"createWizardExt" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 812}
}

-- Attribute definition for Creation-Time
"creationTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 26}
}

-- Attribute definition for Creation-Wizard
"creationWizard" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 498}
}

-- Attribute definition for Creator
"creator" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 679}
}

-- Attribute definition for credentialLevel
"credentialLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 10}
}

-- Attribute definition for CRL-Object
"cRLObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 689}
}

-- Attribute definition for CRL-Partitioned-Revocation-List
"cRLPartitionedRevocationList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	10485760,
	ASN1ObjID	{1 2 840 113556 1 4 683}
}

-- Attribute definition for crossRefReference
"crossRefReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 513 2 31}
}

-- Attribute definition for Current-Location
"currentLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	32,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 4 335}
}

-- Attribute definition for Current-Parent-CA
"currentParentCA" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 696}
}

-- Attribute definition for Current-Value
"currentValue" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 27}
}

-- Attribute definition for Curr-Machine-Id
"currMachineId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 337}
}

-- Attribute definition for DBCS-Pwd
"dBCSPwd" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 55}
}

-- Attribute definition for Default-Class-Store
"defaultClassStore" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 213}
}

-- Attribute definition for Default-Group
"defaultGroup" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 480}
}

-- Attribute definition for Default-Hiding-Value
"defaultHidingValue" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 518}
}

-- Attribute definition for Default-Local-Policy-Object
"defaultLocalPolicyObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 57}
}

-- Attribute definition for Default-Object-Category
"defaultObjectCategory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 783}
}

-- Attribute definition for Default-Priority
"defaultPriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 232}
}

-- Attribute definition for defaultSearchBase
"defaultSearchBase" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 1}
}

-- Attribute definition for defaultSearchScope
"defaultSearchScope" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 12}
}

-- Attribute definition for Default-Security-Descriptor
"defaultSecurityDescriptor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 224}
}

-- Attribute definition for defaultServerList
"defaultServerList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 0}
}

-- Attribute definition for Department
"department" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 2 141}
}

-- Attribute definition for dereferenceAliases
"dereferenceAliases" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 16}
}

-- Attribute definition for Desktop-Profile
"desktopProfile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 346}
}

-- Attribute definition for dhcp-Classes
"dhcpClasses" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 715}
}

-- Attribute definition for dhcp-Flags
"dhcpFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 700}
}

-- Attribute definition for dhcp-Identification
"dhcpIdentification" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 701}
}

-- Attribute definition for dhcp-Mask
"dhcpMask" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 706}
}

-- Attribute definition for dhcp-MaxKey
"dhcpMaxKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 719}
}

-- Attribute definition for dhcp-Obj-Description
"dhcpObjDescription" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 703}
}

-- Attribute definition for dhcp-Obj-Name
"dhcpObjName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 702}
}

-- Attribute definition for dhcp-Options
"dhcpOptions" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 714}
}

-- Attribute definition for dhcp-Properties
"dhcpProperties" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 718}
}

-- Attribute definition for dhcp-Ranges
"dhcpRanges" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 707}
}

-- Attribute definition for dhcp-Reservations
"dhcpReservations" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 709}
}

-- Attribute definition for dhcp-Servers
"dhcpServers" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 704}
}

-- Attribute definition for dhcp-Sites
"dhcpSites" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 708}
}

-- Attribute definition for dhcp-State
"dhcpState" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 717}
}

-- Attribute definition for dhcp-Subnets
"dhcpSubnets" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 705}
}

-- Attribute definition for dhcp-Type
"dhcpType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 699}
}

-- Attribute definition for dhcp-Unique-Key
"dhcpUniqueKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 698}
}

-- Attribute definition for dhcp-Update-Time
"dhcpUpdateTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 720}
}

-- Attribute definition for Reports
"directReports" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 8 4 6}
}

-- Attribute definition for Display-Name
"displayName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{2 16 840 1 113730 3 1 241}
}

-- Attribute definition for Display-Name-Printable
"displayNamePrintable" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 2 353}
}

-- Attribute definition for Obj-Dist-Name
"distinguishedName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 49}
}

-- Attribute definition for DIT-Content-Rules
"dITContentRules" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 21 2}
}

-- Attribute definition for Division
"division" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 261}
}

-- Attribute definition for DMD-Location
"dMDLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 36}
}

-- Attribute definition for DMD-Name
"dmdName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{2 5 4 54}
}

-- Attribute definition for DN-Reference-Update
"dNReferenceUpdate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1242}
}

-- Attribute definition for Dns-Allow-Dynamic
"dnsAllowDynamic" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 378}
}

-- Attribute definition for Dns-Allow-XFR
"dnsAllowXFR" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 379}
}

-- Attribute definition for DNS-Host-Name
"dNSHostName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 619}
}

-- Attribute definition for Dns-Notify-Secondaries
"dnsNotifySecondaries" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 381}
}

-- Attribute definition for DNS-Property
"dNSProperty" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1306}
}

-- Attribute definition for Dns-Record
"dnsRecord" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 382}
}

-- Attribute definition for Dns-Root
"dnsRoot" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	255,
	ASN1ObjID	{1 2 840 113556 1 4 28}
}

-- Attribute definition for Dns-Secure-Secondaries
"dnsSecureSecondaries" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 380}
}

-- Attribute definition for DNS-Tombstoned
"dNSTombstoned" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1414}
}

-- Attribute definition for documentAuthor
"documentAuthor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{0 9 2342 19200300 100 1 14}
}

-- Attribute definition for documentIdentifier
"documentIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 11}
}

-- Attribute definition for documentLocation
"documentLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 15}
}

-- Attribute definition for documentPublisher
"documentPublisher" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 56}
}

-- Attribute definition for documentTitle
"documentTitle" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 12}
}

-- Attribute definition for documentVersion
"documentVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 13}
}

-- Attribute definition for Domain-Certificate-Authorities
"domainCAs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 668}
}

-- Attribute definition for Domain-Cross-Ref
"domainCrossRef" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 472}
}

-- Attribute definition for Domain-ID
"domainID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 686}
}

-- Attribute definition for Domain-Identifier
"domainIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 755}
}

-- Attribute definition for domainPartitionList
"domainPartitionList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 513 2 33}
}

-- Attribute definition for Domain-Policy-Object
"domainPolicyObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 32}
}

-- Attribute definition for Domain-Policy-Reference
"domainPolicyReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 422}
}

-- Attribute definition for Domain-Replica
"domainReplica" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 158}
}

-- Attribute definition for Domain-Wide-Policy
"domainWidePolicy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 421}
}

-- Attribute definition for drink
"drink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 5}
}

-- Attribute definition for Driver-Name
"driverName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 229}
}

-- Attribute definition for Driver-Version
"driverVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 276}
}

-- Attribute definition for DSA-Signature
"dSASignature" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 74}
}

-- Attribute definition for DS-Core-Propagation-Data
"dSCorePropagationData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1357}
}

-- Attribute definition for DS-Heuristics
"dSHeuristics" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 212}
}

-- Attribute definition for DS-UI-Admin-Maximum
"dSUIAdminMaximum" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1344}
}

-- Attribute definition for DS-UI-Admin-Notification
"dSUIAdminNotification" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1343}
}

-- Attribute definition for DS-UI-Shell-Maximum
"dSUIShellMaximum" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1345}
}

-- Attribute definition for Dynamic-LDAP-Server
"dynamicLDAPServer" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 537}
}

-- Attribute definition for EFSPolicy
"eFSPolicy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 268}
}

-- Attribute definition for PKCS-9-E-mail-Addresses
"emailAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113549 1 9 1}
}

-- Attribute definition for Employee-ID
"employeeID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 35}
}

-- Attribute definition for Employee-Type
"employeeType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{2 16 840 1 113730 3 1 4}
}

-- Attribute definition for Enabled
"Enabled" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 557}
}

-- Attribute definition for Enabled-Connection
"enabledConnection" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 36}
}

-- Attribute definition for Enrollment-Providers
"enrollmentProviders" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 825}
}

-- Attribute definition for Entry-TTL
"entryTTL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	31557600,
	ASN1ObjID	{1 3 6 1 4 1 1466 101 119 3}
}

-- Attribute definition for Extended-Attribute-Info
"extendedAttributeInfo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 909}
}

-- Attribute definition for Extended-Chars-Allowed
"extendedCharsAllowed" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 380}
}

-- Attribute definition for Extended-Class-Info
"extendedClassInfo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 908}
}

-- Attribute definition for Extension-Name
"extensionName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	255,
	ASN1ObjID	{1 2 840 113556 1 2 227}
}

-- Attribute definition for Extra-Columns
"extraColumns" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1687}
}

-- Attribute definition for File-Ext-Priority
"fileExtPriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 816}
}

-- Attribute definition for Flags
"flags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 38}
}

-- Attribute definition for Flat-Name
"flatName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 511}
}

-- Attribute definition for followReferrals
"followReferrals" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 5}
}

-- Attribute definition for Force-Logoff
"forceLogoff" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 39}
}

-- Attribute definition for Foreign-Identifier
"foreignIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 356}
}

-- Attribute definition for Friendly-Names
"friendlyNames" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 682}
}

-- Attribute definition for From-Entry
"fromEntry" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 910}
}

-- Attribute definition for From-Server
"fromServer" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 40}
}

-- Attribute definition for Frs-Computer-Reference
"frsComputerReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 869}
}

-- Attribute definition for Frs-Computer-Reference-BL
"frsComputerReferenceBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 870}
}

-- Attribute definition for FRS-Control-Data-Creation
"fRSControlDataCreation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 4 871}
}

-- Attribute definition for FRS-Control-Inbound-Backlog
"fRSControlInboundBacklog" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 4 872}
}

-- Attribute definition for FRS-Control-Outbound-Backlog
"fRSControlOutboundBacklog" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 4 873}
}

-- Attribute definition for FRS-Directory-Filter
"fRSDirectoryFilter" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 484}
}

-- Attribute definition for FRS-DS-Poll
"fRSDSPoll" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 490}
}

-- Attribute definition for FRS-Extensions
"fRSExtensions" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65536,
	ASN1ObjID	{1 2 840 113556 1 4 536}
}

-- Attribute definition for FRS-Fault-Condition
"fRSFaultCondition" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 491}
}

-- Attribute definition for FRS-File-Filter
"fRSFileFilter" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 483}
}

-- Attribute definition for FRS-Flags
"fRSFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 874}
}

-- Attribute definition for FRS-Level-Limit
"fRSLevelLimit" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 534}
}

-- Attribute definition for FRS-Member-Reference
"fRSMemberReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 875}
}

-- Attribute definition for FRS-Member-Reference-BL
"fRSMemberReferenceBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 876}
}

-- Attribute definition for FRS-Partner-Auth-Level
"fRSPartnerAuthLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 877}
}

-- Attribute definition for FRS-Primary-Member
"fRSPrimaryMember" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 878}
}

-- Attribute definition for FRS-Replica-Set-GUID
"fRSReplicaSetGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 533}
}

-- Attribute definition for FRS-Replica-Set-Type
"fRSReplicaSetType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 31}
}

-- Attribute definition for FRS-Root-Path
"fRSRootPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 487}
}

-- Attribute definition for FRS-Root-Security
"fRSRootSecurity" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65535,
	ASN1ObjID	{1 2 840 113556 1 4 535}
}

-- Attribute definition for FRS-Service-Command
"fRSServiceCommand" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	512,
	ASN1ObjID	{1 2 840 113556 1 4 500}
}

-- Attribute definition for FRS-Service-Command-Status
"fRSServiceCommandStatus" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	512,
	ASN1ObjID	{1 2 840 113556 1 4 879}
}

-- Attribute definition for FRS-Staging-Path
"fRSStagingPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 488}
}

-- Attribute definition for FRS-Time-Last-Command
"fRSTimeLastCommand" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 880}
}

-- Attribute definition for FRS-Time-Last-Config-Change
"fRSTimeLastConfigChange" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 881}
}

-- Attribute definition for FRS-Update-Timeout
"fRSUpdateTimeout" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 485}
}

-- Attribute definition for FRS-Version
"fRSVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32,
	ASN1ObjID	{1 2 840 113556 1 4 882}
}

-- Attribute definition for FRS-Version-GUID
"fRSVersionGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 43}
}

-- Attribute definition for FRS-Working-Path
"fRSWorkingPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 486}
}

-- Attribute definition for FSMO-Role-Owner
"fSMORoleOwner" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 369}
}

-- Attribute definition for Garbage-Coll-Period
"garbageCollPeriod" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 301}
}

-- Attribute definition for gecos
"gecos" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 2}
}

-- Attribute definition for Generated-Connection
"generatedConnection" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 41}
}

-- Attribute definition for gidNumber
"gidNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 1}
}

-- Attribute definition for Global-Address-List
"globalAddressList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1245}
}

-- Attribute definition for Governs-ID
"governsID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 22}
}

-- Attribute definition for GPC-File-Sys-Path
"gPCFileSysPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 894}
}

-- Attribute definition for GPC-Functionality-Version
"gPCFunctionalityVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 893}
}

-- Attribute definition for GPC-Machine-Extension-Names
"gPCMachineExtensionNames" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1348}
}

-- Attribute definition for GPC-User-Extension-Names
"gPCUserExtensionNames" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1349}
}

-- Attribute definition for GPC-WQL-Filter
"gPCWQLFilter" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1694}
}

-- Attribute definition for GP-Link
"gPLink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 891}
}

-- Attribute definition for GP-Options
"gPOptions" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 892}
}

-- Attribute definition for Group-Attributes
"groupAttributes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 152}
}

-- Attribute definition for Group-Membership-SAM
"groupMembershipSAM" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 166}
}

-- Attribute definition for Group-Priority
"groupPriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 345}
}

-- Attribute definition for Groups-to-Ignore
"groupsToIgnore" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 344}
}

-- Attribute definition for Group-Type
"groupType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SERVER_READ, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 750}
}

-- Attribute definition for Has-Master-NCs
"hasMasterNCs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 14}
}

-- Attribute definition for Has-Partial-Replica-NCs
"hasPartialReplicaNCs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 15}
}

-- Attribute definition for Help-Data16
"helpData16" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 402}
}

-- Attribute definition for Help-Data32
"helpData32" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 9}
}

-- Attribute definition for Help-File-Name
"helpFileName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	13,
	ASN1ObjID	{1 2 840 113556 1 2 327}
}

-- Attribute definition for Hide-From-AB
"hideFromAB" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1780}
}

-- Attribute definition for Home-Directory
"mSDS:HomeDirectory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 44}
}

-- Attribute definition for Home-Drive
"homeDrive" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 45}
}

-- Attribute definition for Address-Home
"msds:homePostalAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	4096,
	ASN1ObjID	{1 2 840 113556 1 2 617}
}

-- Attribute definition for host
"host" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 9}
}

-- Attribute definition for Icon-Path
"iconPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 219}
}

-- Attribute definition for Implemented-Categories
"implementedCategories" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 320}
}

-- Attribute definition for IndexedScopes
"indexedScopes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 681}
}

-- Attribute definition for Comment
"info" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 2 81}
}

-- Attribute definition for Initial-Auth-Incoming
"initialAuthIncoming" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 539}
}

-- Attribute definition for Initial-Auth-Outgoing
"initialAuthOutgoing" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 540}
}

-- Attribute definition for Install-Ui-Level
"installUiLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 847}
}

-- Attribute definition for Instance-Type
"instanceType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 1}
}

-- Attribute definition for International-ISDN-Number
"internationalISDNNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_NU_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	16,
	ASN1ObjID	{2 5 4 25}
}

-- Attribute definition for Inter-Site-Topology-Failover
"interSiteTopologyFailover" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1248}
}

-- Attribute definition for Inter-Site-Topology-Generator
"interSiteTopologyGenerator" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1246}
}

-- Attribute definition for Inter-Site-Topology-Renew
"interSiteTopologyRenew" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1247}
}

-- Attribute definition for Invocation-Id
"invocationId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 115}
}

-- Attribute definition for ipHostNumber
"ipHostNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{1 3 6 1 1 1 1 19}
}

-- Attribute definition for ipNetmaskNumber
"ipNetmaskNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{1 3 6 1 1 1 1 21}
}

-- Attribute definition for ipNetworkNumber
"ipNetworkNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{1 3 6 1 1 1 1 20}
}

-- Attribute definition for Phone-Ip-Primary
"ipPhone" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 721}
}

-- Attribute definition for ipProtocolNumber
"ipProtocolNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 17}
}

-- Attribute definition for Ipsec-Data
"ipsecData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 623}
}

-- Attribute definition for Ipsec-Data-Type
"ipsecDataType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 622}
}

-- Attribute definition for Ipsec-Filter-Reference
"ipsecFilterReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 629}
}

-- Attribute definition for Ipsec-ID
"ipsecID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 621}
}

-- Attribute definition for Ipsec-ISAKMP-Reference
"ipsecISAKMPReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 626}
}

-- Attribute definition for Ipsec-Name
"ipsecName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 620}
}

-- Attribute definition for IPSEC-Negotiation-Policy-Action
"iPSECNegotiationPolicyAction" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 888}
}

-- Attribute definition for Ipsec-Negotiation-Policy-Reference
"ipsecNegotiationPolicyReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 628}
}

-- Attribute definition for IPSEC-Negotiation-Policy-Type
"iPSECNegotiationPolicyType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 887}
}

-- Attribute definition for Ipsec-NFA-Reference
"ipsecNFAReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 627}
}

-- Attribute definition for Ipsec-Owners-Reference
"ipsecOwnersReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 624}
}

-- Attribute definition for Ipsec-Policy-Reference
"ipsecPolicyReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 517}
}

-- Attribute definition for ipServicePort
"ipServicePort" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 15}
}

-- Attribute definition for ipServiceProtocol
"ipServiceProtocol" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 3 6 1 1 1 1 16}
}

-- Attribute definition for Is-Critical-System-Object
"isCriticalSystemObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 868}
}

-- Attribute definition for Is-Defunct
"isDefunct" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 661}
}

-- Attribute definition for Is-Deleted
"isDeleted" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 48}
}

-- Attribute definition for Is-Ephemeral
"isEphemeral" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1212}
}

-- Attribute definition for Is-Member-Of-Partial-Attribute-Set
"isMemberOfPartialAttributeSet" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 639}
}

-- Attribute definition for Is-Privilege-Holder
"isPrivilegeHolder" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 638}
}

-- Attribute definition for Is-Single-Valued
"isSingleValued" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 33}
}

-- Attribute definition for Keywords
"keywords" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 48}
}

-- Attribute definition for labeledURI
"labeledURI" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 250 1 57}
}

-- Attribute definition for Last-Backup-Restoration-Time
"lastBackupRestorationTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 519}
}

-- Attribute definition for Last-Content-Indexed
"lastContentIndexed" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 50}
}

-- Attribute definition for Last-Known-Parent
"lastKnownParent" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 781}
}

-- Attribute definition for Last-Logoff
"lastLogoff" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 51}
}

-- Attribute definition for Last-Logon
"lastLogon" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 52}
}

-- Attribute definition for Last-Logon-Timestamp
"lastLogonTimestamp" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1696}
}

-- Attribute definition for Last-Set-Time
"lastSetTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 53}
}

-- Attribute definition for Last-Update-Sequence
"lastUpdateSequence" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 330}
}

-- Attribute definition for LDAP-Admin-Limits
"lDAPAdminLimits" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 843}
}

-- Attribute definition for LDAP-Display-Name
"lDAPDisplayName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 2 460}
}

-- Attribute definition for LDAP-IPDeny-List
"lDAPIPDenyList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 844}
}

-- Attribute definition for Legacy-Exchange-DN
"legacyExchangeDN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 655}
}

-- Attribute definition for Link-ID
"linkID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 50}
}

-- Attribute definition for Link-Track-Secret
"linkTrackSecret" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 269}
}

-- Attribute definition for Lm-Pwd-History
"lmPwdHistory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 160}
}

-- Attribute definition for Locale-ID
"localeID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 58}
}

-- Attribute definition for Localization-Display-Id
"localizationDisplayId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1353}
}

-- Attribute definition for Localized-Description
"localizedDescription" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 817}
}

-- Attribute definition for Local-Policy-Flags
"localPolicyFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 56}
}

-- Attribute definition for Local-Policy-Reference
"localPolicyReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 457}
}

-- Attribute definition for Location
"location" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 222}
}

-- Attribute definition for Lockout-Duration
"lockoutDuration" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 60}
}

-- Attribute definition for Lock-Out-Observation-Window
"lockOutObservationWindow" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 61}
}

-- Attribute definition for Lockout-Threshold
"lockoutThreshold" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65535,
	ASN1ObjID	{1 2 840 113556 1 4 73}
}

-- Attribute definition for Lockout-Time
"lockoutTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 662}
}

-- Attribute definition for loginShell
"loginShell" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 4}
}

-- Attribute definition for Logon-Count
"logonCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 169}
}

-- Attribute definition for Logon-Hours
"logonHours" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 64}
}

-- Attribute definition for Logon-Workstation
"logonWorkstation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 65}
}

-- Attribute definition for LSA-Creation-Time
"lSACreationTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 66}
}

-- Attribute definition for LSA-Modified-Count
"lSAModifiedCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 67}
}

-- Attribute definition for macAddress
"macAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 22}
}

-- Attribute definition for Machine-Architecture
"machineArchitecture" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 68}
}

-- Attribute definition for Machine-Password-Change-Interval
"machinePasswordChangeInterval" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 520}
}

-- Attribute definition for Machine-Role
"machineRole" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 71}
}

-- Attribute definition for Machine-Wide-Policy
"machineWidePolicy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 459}
}

-- Attribute definition for SMTP-Mail-Address
"mailAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 786}
}

-- Attribute definition for Managed-By
"managedBy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 653}
}

-- Attribute definition for Managed-Objects
"managedObjects" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 654}
}

-- Attribute definition for MAPI-ID
"mAPIID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 49}
}

-- Attribute definition for Marshalled-Interface
"marshalledInterface" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 72}
}

-- Attribute definition for Mastered-By
"masteredBy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1409}
}

-- Attribute definition for Max-Pwd-Age
"maxPwdAge" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 74}
}

-- Attribute definition for Max-Renew-Age
"maxRenewAge" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 75}
}

-- Attribute definition for Max-Storage
"maxStorage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 76}
}

-- Attribute definition for Max-Ticket-Age
"maxTicketAge" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 77}
}

-- Attribute definition for May-Contain
"mayContain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 25}
}

-- Attribute definition for meetingAdvertiseScope
"meetingAdvertiseScope" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 582}
}

-- Attribute definition for meetingApplication
"meetingApplication" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 573}
}

-- Attribute definition for meetingBandwidth
"meetingBandwidth" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 589}
}

-- Attribute definition for meetingBlob
"meetingBlob" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 590}
}

-- Attribute definition for meetingContactInfo
"meetingContactInfo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 578}
}

-- Attribute definition for meetingDescription
"meetingDescription" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 567}
}

-- Attribute definition for meetingEndTime
"meetingEndTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 588}
}

-- Attribute definition for meetingID
"meetingID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 565}
}

-- Attribute definition for meetingIP
"meetingIP" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 580}
}

-- Attribute definition for meetingIsEncrypted
"meetingIsEncrypted" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 585}
}

-- Attribute definition for meetingKeyword
"meetingKeyword" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 568}
}

-- Attribute definition for meetingLanguage
"meetingLanguage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 574}
}

-- Attribute definition for meetingLocation
"meetingLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 569}
}

-- Attribute definition for meetingMaxParticipants
"meetingMaxParticipants" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 576}
}

-- Attribute definition for meetingName
"meetingName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 566}
}

-- Attribute definition for meetingOriginator
"meetingOriginator" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 577}
}

-- Attribute definition for meetingOwner
"meetingOwner" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 579}
}

-- Attribute definition for meetingProtocol
"meetingProtocol" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 570}
}

-- Attribute definition for meetingRating
"meetingRating" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 584}
}

-- Attribute definition for meetingRecurrence
"meetingRecurrence" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 586}
}

-- Attribute definition for meetingScope
"meetingScope" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 581}
}

-- Attribute definition for meetingStartTime
"meetingStartTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 587}
}

-- Attribute definition for meetingType
"meetingType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 571}
}

-- Attribute definition for meetingURL
"meetingURL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 583}
}

-- Attribute definition for memberNisNetgroup
"memberNisNetgroup" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 3 6 1 1 1 1 13}
}

-- Attribute definition for Is-Member-Of-DL
"memberOf" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 102}
}

-- Attribute definition for memberUid
"memberUid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 12}
}

-- Attribute definition for MHS-OR-Address
"mhsORAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 650}
}

-- Attribute definition for Other-Name
"middleName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	64,
	ASN1ObjID	{2 16 840 1 113730 3 1 34}
}

-- Attribute definition for Min-Pwd-Age
"minPwdAge" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 78}
}

-- Attribute definition for Min-Pwd-Length
"minPwdLength" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 79}
}

-- Attribute definition for Min-Ticket-Age
"minTicketAge" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 80}
}

-- Attribute definition for Modified-Count
"modifiedCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 168}
}

-- Attribute definition for Modified-Count-At-Last-Prom
"modifiedCountAtLastProm" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 81}
}

-- Attribute definition for Moniker
"moniker" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 82}
}

-- Attribute definition for Moniker-Display-Name
"monikerDisplayName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 83}
}

-- Attribute definition for Move-Tree-State
"moveTreeState" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1305}
}

-- Attribute definition for MS-DS-Consistency-Child-Count
"mS-DS-ConsistencyChildCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1361}
}

-- Attribute definition for MS-DS-Consistency-Guid
"mS-DS-ConsistencyGuid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1360}
}

-- Attribute definition for MS-DS-Creator-SID
"mS-DS-CreatorSID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1410}
}

-- Attribute definition for MS-DS-Machine-Account-Quota
"ms-DS-MachineAccountQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1411}
}

-- Attribute definition for MS-DS-Replicates-NC-Reason
"mS-DS-ReplicatesNCReason" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PATH,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1408}
}

-- Attribute definition for ms-net-ieee-80211-GP-PolicyData
"ms-net-ieee-80211-GP-PolicyData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	4194304,
	ASN1ObjID	{1 2 840 113556 1 4 1952}
}

-- Attribute definition for ms-net-ieee-80211-GP-PolicyGUID
"ms-net-ieee-80211-GP-PolicyGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 1951}
}

-- Attribute definition for ms-net-ieee-80211-GP-PolicyReserved
"ms-net-ieee-80211-GP-PolicyReser" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	4194304,
	ASN1ObjID	{1 2 840 113556 1 4 1953}
}

-- Attribute definition for ms-net-ieee-8023-GP-PolicyData
"ms-net-ieee-8023-GP-PolicyData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1048576,
	ASN1ObjID	{1 2 840 113556 1 4 1955}
}

-- Attribute definition for ms-net-ieee-8023-GP-PolicyGUID
"ms-net-ieee-8023-GP-PolicyGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 1954}
}

-- Attribute definition for ms-net-ieee-8023-GP-PolicyReserved
"ms-net-ieee-8023-GP-PolicyReserv" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1048576,
	ASN1ObjID	{1 2 840 113556 1 4 1956}
}

-- Attribute definition for MS-SQL-Alias
"mS-SQL-Alias" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1395}
}

-- Attribute definition for MS-SQL-AllowAnonymousSubscription
"mS-SQL-AllowAnonymousSubscriptio" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1394}
}

-- Attribute definition for MS-SQL-AllowImmediateUpdatingSubscription
"mS-SQL-AllowImmediateUpdatingSub" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1404}
}

-- Attribute definition for MS-SQL-AllowKnownPullSubscription
"mS-SQL-AllowKnownPullSubscriptio" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1403}
}

-- Attribute definition for MS-SQL-AllowQueuedUpdatingSubscription
"mS-SQL-AllowQueuedUpdatingSubscr" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1405}
}

-- Attribute definition for MS-SQL-AllowSnapshotFilesFTPDownloading
"mS-SQL-AllowSnapshotFilesFTPDown" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1406}
}

-- Attribute definition for MS-SQL-AppleTalk
"mS-SQL-AppleTalk" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1378}
}

-- Attribute definition for MS-SQL-Applications
"mS-SQL-Applications" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1400}
}

-- Attribute definition for MS-SQL-Build
"mS-SQL-Build" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1368}
}

-- Attribute definition for MS-SQL-CharacterSet
"mS-SQL-CharacterSet" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1370}
}

-- Attribute definition for MS-SQL-Clustered
"mS-SQL-Clustered" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1373}
}

-- Attribute definition for MS-SQL-ConnectionURL
"mS-SQL-ConnectionURL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1383}
}

-- Attribute definition for MS-SQL-Contact
"mS-SQL-Contact" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1365}
}

-- Attribute definition for MS-SQL-CreationDate
"mS-SQL-CreationDate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1397}
}

-- Attribute definition for MS-SQL-Database
"mS-SQL-Database" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1393}
}

-- Attribute definition for MS-SQL-Description
"mS-SQL-Description" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1390}
}

-- Attribute definition for MS-SQL-GPSHeight
"mS-SQL-GPSHeight" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1387}
}

-- Attribute definition for MS-SQL-GPSLatitude
"mS-SQL-GPSLatitude" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1385}
}

-- Attribute definition for MS-SQL-GPSLongitude
"mS-SQL-GPSLongitude" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1386}
}

-- Attribute definition for MS-SQL-InformationDirectory
"mS-SQL-InformationDirectory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1392}
}

-- Attribute definition for MS-SQL-InformationURL
"mS-SQL-InformationURL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1382}
}

-- Attribute definition for MS-SQL-Keywords
"mS-SQL-Keywords" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1401}
}

-- Attribute definition for MS-SQL-Language
"mS-SQL-Language" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1389}
}

-- Attribute definition for MS-SQL-LastBackupDate
"mS-SQL-LastBackupDate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1398}
}

-- Attribute definition for MS-SQL-LastDiagnosticDate
"mS-SQL-LastDiagnosticDate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1399}
}

-- Attribute definition for MS-SQL-LastUpdatedDate
"mS-SQL-LastUpdatedDate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1381}
}

-- Attribute definition for MS-SQL-Location
"mS-SQL-Location" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1366}
}

-- Attribute definition for MS-SQL-Memory
"mS-SQL-Memory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1367}
}

-- Attribute definition for MS-SQL-MultiProtocol
"mS-SQL-MultiProtocol" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1375}
}

-- Attribute definition for MS-SQL-Name
"mS-SQL-Name" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1363}
}

-- Attribute definition for MS-SQL-NamedPipe
"mS-SQL-NamedPipe" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1374}
}

-- Attribute definition for MS-SQL-PublicationURL
"mS-SQL-PublicationURL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1384}
}

-- Attribute definition for MS-SQL-Publisher
"mS-SQL-Publisher" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1402}
}

-- Attribute definition for MS-SQL-RegisteredOwner
"mS-SQL-RegisteredOwner" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1364}
}

-- Attribute definition for MS-SQL-ServiceAccount
"mS-SQL-ServiceAccount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1369}
}

-- Attribute definition for MS-SQL-Size
"mS-SQL-Size" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1396}
}

-- Attribute definition for MS-SQL-SortOrder
"mS-SQL-SortOrder" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1371}
}

-- Attribute definition for MS-SQL-SPX
"mS-SQL-SPX" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1376}
}

-- Attribute definition for MS-SQL-Status
"mS-SQL-Status" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1380}
}

-- Attribute definition for MS-SQL-TCPIP
"mS-SQL-TCPIP" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1377}
}

-- Attribute definition for MS-SQL-ThirdParty
"mS-SQL-ThirdParty" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1407}
}

-- Attribute definition for MS-SQL-Type
"mS-SQL-Type" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1391}
}

-- Attribute definition for MS-SQL-UnicodeSortOrder
"mS-SQL-UnicodeSortOrder" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1372}
}

-- Attribute definition for MS-SQL-Version
"mS-SQL-Version" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1388}
}

-- Attribute definition for MS-SQL-Vines
"mS-SQL-Vines" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1379}
}

-- Attribute definition for ms-COM-DefaultPartitionLink
"msCOM-DefaultPartitionLink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1427}
}

-- Attribute definition for ms-COM-ObjectId
"msCOM-ObjectId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1428}
}

-- Attribute definition for ms-COM-PartitionLink
"msCOM-PartitionLink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1423}
}

-- Attribute definition for ms-COM-PartitionSetLink
"msCOM-PartitionSetLink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1424}
}

-- Attribute definition for ms-COM-UserLink
"msCOM-UserLink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1425}
}

-- Attribute definition for ms-COM-UserPartitionSetLink
"msCOM-UserPartitionSetLink" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1426}
}

-- Attribute definition for Mscope-Id
"mscopeId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 716}
}

-- Attribute definition for MS-DRM-Identity-Certificate
"msDRM-IdentityCertificate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	10240,
	ASN1ObjID	{1 2 840 113556 1 4 1843}
}

-- Attribute definition for ms-DS-Additional-Dns-Host-Name
"msDS-AdditionalDnsHostName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 1717}
}

-- Attribute definition for ms-DS-Additional-Sam-Account-Name
"msDS-AdditionalSamAccountName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 1718}
}

-- Attribute definition for ms-DS-Allowed-DNS-Suffixes
"msDS-AllowedDNSSuffixes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 1710}
}

-- Attribute definition for ms-DS-Allowed-To-Delegate-To
"msDS-AllowedToDelegateTo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1787}
}

-- Attribute definition for MS-DS-All-Users-Trust-Quota
"msDS-AllUsersTrustQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1789}
}

-- Attribute definition for ms-DS-Approx-Immed-Subordinates
"msDS-Approx-Immed-Subordinates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1669}
}

-- Attribute definition for ms-DS-Auxiliary-Classes
"msDS-Auxiliary-Classes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1458}
}

-- Attribute definition for ms-DS-Az-Application-Data
"msDS-AzApplicationData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1819}
}

-- Attribute definition for ms-DS-Az-Application-Name
"msDS-AzApplicationName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	512,
	ASN1ObjID	{1 2 840 113556 1 4 1798}
}

-- Attribute definition for ms-DS-Az-Application-Version
"msDS-AzApplicationVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1817}
}

-- Attribute definition for ms-DS-Az-Biz-Rule
"msDS-AzBizRule" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65536,
	ASN1ObjID	{1 2 840 113556 1 4 1801}
}

-- Attribute definition for ms-DS-Az-Biz-Rule-Language
"msDS-AzBizRuleLanguage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 1802}
}

-- Attribute definition for ms-DS-Az-Class-ID
"msDS-AzClassId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	40,
	ASN1ObjID	{1 2 840 113556 1 4 1816}
}

-- Attribute definition for ms-DS-Az-Domain-Timeout
"msDS-AzDomainTimeout" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1795}
}

-- Attribute definition for ms-DS-Az-Generate-Audits
"msDS-AzGenerateAudits" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1805}
}

-- Attribute definition for ms-DS-Az-Last-Imported-Biz-Rule-Path
"msDS-AzLastImportedBizRulePath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65536,
	ASN1ObjID	{1 2 840 113556 1 4 1803}
}

-- Attribute definition for ms-DS-Az-LDAP-Query
"msDS-AzLDAPQuery" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	4096,
	ASN1ObjID	{1 2 840 113556 1 4 1792}
}

-- Attribute definition for ms-DS-Az-Major-Version
"msDS-AzMajorVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1824}
}

-- Attribute definition for ms-DS-Az-Minor-Version
"msDS-AzMinorVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1825}
}

-- Attribute definition for ms-DS-Az-Operation-ID
"msDS-AzOperationID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1800}
}

-- Attribute definition for ms-DS-Az-Scope-Name
"msDS-AzScopeName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65536,
	ASN1ObjID	{1 2 840 113556 1 4 1799}
}

-- Attribute definition for ms-DS-Az-Script-Engine-Cache-Max
"msDS-AzScriptEngineCacheMax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1796}
}

-- Attribute definition for ms-DS-Az-Script-Timeout
"msDS-AzScriptTimeout" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1797}
}

-- Attribute definition for ms-DS-Az-Task-Is-Role-Definition
"msDS-AzTaskIsRoleDefinition" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1818}
}

-- Attribute definition for ms-DS-Behavior-Version
"msDS-Behavior-Version" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1459}
}

-- Attribute definition for ms-DS-Byte-Array
"msDS-ByteArray" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1000000,
	ASN1ObjID	{1 2 840 113556 1 4 1831}
}

-- Attribute definition for ms-DS-Cached-Membership
"msDS-Cached-Membership" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1441}
}

-- Attribute definition for ms-DS-Cached-Membership-Time-Stamp
"msDS-Cached-Membership-Time-Stam" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1442}
}

-- Attribute definition for ms-DS-Date-Time
"msDS-DateTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1832}
}

-- Attribute definition for ms-DS-Default-Quota
"msDS-DefaultQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1846}
}

-- Attribute definition for ms-DS-DnsRootAlias
"msDS-DnsRootAlias" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	255,
	ASN1ObjID	{1 2 840 113556 1 4 1719}
}

-- Attribute definition for ms-DS-Entry-Time-To-Die
"msDS-Entry-Time-To-Die" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1622}
}

-- Attribute definition for ms-DS-ExecuteScriptPassword
"msDS-ExecuteScriptPassword" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 1783}
}

-- Attribute definition for ms-DS-External-Key
"msDS-ExternalKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	10000,
	ASN1ObjID	{1 2 840 113556 1 4 1833}
}

-- Attribute definition for ms-DS-External-Store
"msDS-ExternalStore" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	10000,
	ASN1ObjID	{1 2 840 113556 1 4 1834}
}

-- Attribute definition for ms-DS-Filter-Containers
"msDS-FilterContainers" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 1703}
}

-- Attribute definition for ms-DS-Has-Domain-NCs
"msDS-HasDomainNCs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1820}
}

-- Attribute definition for ms-DS-Has-Instantiated-NCs
"msDS-HasInstantiatedNCs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PATH,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1709}
}

-- Attribute definition for ms-DS-Has-Master-NCs
"msDS-hasMasterNCs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1836}
}

-- Attribute definition for ms-DS-Integer
"msDS-Integer" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1835}
}

-- Attribute definition for ms-DS-IntId
"msDS-IntId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1716}
}

-- Attribute definition for ms-DS-KeyVersionNumber
"msDS-KeyVersionNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_COUNTER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1782}
}

-- Attribute definition for ms-DS-Logon-Time-Sync-Interval
"msDS-LogonTimeSyncInterval" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1784}
}

-- Attribute definition for ms-DS-Mastered-By
"msDs-masteredBy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1837}
}

-- Attribute definition for ms-DS-Max-Values
"msDs-MaxValues" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1842}
}

-- Attribute definition for ms-DS-Members-For-Az-Role
"msDS-MembersForAzRole" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1806}
}

-- Attribute definition for ms-DS-Members-For-Az-Role-BL
"msDS-MembersForAzRoleBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1807}
}

-- Attribute definition for ms-DS-NC-Replica-Locations
"msDS-NC-Replica-Locations" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1661}
}

-- Attribute definition for ms-DS-NC-Repl-Cursors
"msDS-NCReplCursors" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1704}
}

-- Attribute definition for ms-DS-NC-Repl-Inbound-Neighbors
"msDS-NCReplInboundNeighbors" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1705}
}

-- Attribute definition for ms-DS-NC-Repl-Outbound-Neighbors
"msDS-NCReplOutboundNeighbors" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1706}
}

-- Attribute definition for ms-DS-Non-Security-Group-Extra-Classes
"msDS-Non-Security-Group-Extra-Cl" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1689}
}

-- Attribute definition for ms-DS-Non-Members
"msDS-NonMembers" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1793}
}

-- Attribute definition for ms-DS-Non-Members-BL
"msDS-NonMembersBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1794}
}

-- Attribute definition for ms-DS-Object-Reference
"msDS-ObjectReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1840}
}

-- Attribute definition for ms-DS-Object-Reference-BL
"msDS-ObjectReferenceBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1841}
}

-- Attribute definition for ms-DS-Operations-For-Az-Role
"msDS-OperationsForAzRole" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1812}
}

-- Attribute definition for ms-DS-Operations-For-Az-Role-BL
"msDS-OperationsForAzRoleBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1813}
}

-- Attribute definition for ms-DS-Operations-For-Az-Task
"msDS-OperationsForAzTask" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1808}
}

-- Attribute definition for ms-DS-Operations-For-Az-Task-BL
"msDS-OperationsForAzTaskBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1809}
}

-- Attribute definition for ms-DS-Other-Settings
"msDS-Other-Settings" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1621}
}

-- Attribute definition for MS-DS-Per-User-Trust-Quota
"msDS-PerUserTrustQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1788}
}

-- Attribute definition for MS-DS-Per-User-Trust-Tombstones-Quota
"msDS-PerUserTrustTombstonesQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1790}
}

-- Attribute definition for ms-DS-Preferred-GC-Site
"msDS-Preferred-GC-Site" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1444}
}

-- Attribute definition for ms-DS-Quota-Amount
"msDS-QuotaAmount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1845}
}

-- Attribute definition for ms-DS-Quota-Effective
"msDS-QuotaEffective" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1848}
}

-- Attribute definition for ms-DS-Quota-Trustee
"msDS-QuotaTrustee" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	28,
	ASN1ObjID	{1 2 840 113556 1 4 1844}
}

-- Attribute definition for ms-DS-Quota-Used
"msDS-QuotaUsed" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1849}
}

-- Attribute definition for ms-DS-Repl-Attribute-Meta-Data
"msDS-ReplAttributeMetaData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1707}
}

-- Attribute definition for ms-DS-Replication-Notify-First-DSA-Delay
"msDS-Replication-Notify-First-DS" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1663}
}

-- Attribute definition for ms-DS-Replication-Notify-Subsequent-DSA-Delay
"msDS-Replication-Notify-Subseque" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1664}
}

-- Attribute definition for ms-DS-ReplicationEpoch
"msDS-ReplicationEpoch" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1720}
}

-- Attribute definition for ms-DS-Repl-Value-Meta-Data
"msDS-ReplValueMetaData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1708}
}

-- Attribute definition for ms-DS-Retired-Repl-NC-Signatures
"msDS-RetiredReplNCSignatures" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1826}
}

-- Attribute definition for ms-ds-Schema-Extensions
"msDs-Schema-Extensions" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1440}
}

-- Attribute definition for ms-DS-SD-Reference-Domain
"msDS-SDReferenceDomain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1711}
}

-- Attribute definition for ms-DS-Security-Group-Extra-Classes
"msDS-Security-Group-Extra-Classe" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1688}
}

-- Attribute definition for ms-DS-Settings
"msDS-Settings" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1000000,
	ASN1ObjID	{1 2 840 113556 1 4 1697}
}

-- Attribute definition for ms-DS-Site-Affinity
"msDS-Site-Affinity" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1443}
}

-- Attribute definition for ms-DS-SPN-Suffixes
"msDS-SPNSuffixes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	255,
	ASN1ObjID	{1 2 840 113556 1 4 1715}
}

-- Attribute definition for ms-DS-Tasks-For-Az-Role
"msDS-TasksForAzRole" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1814}
}

-- Attribute definition for ms-DS-Tasks-For-Az-Role-BL
"msDS-TasksForAzRoleBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1815}
}

-- Attribute definition for ms-DS-Tasks-For-Az-Task
"msDS-TasksForAzTask" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1810}
}

-- Attribute definition for ms-DS-Tasks-For-Az-Task-BL
"msDS-TasksForAzTaskBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1811}
}

-- Attribute definition for ms-DS-Tombstone-Quota-Factor
"msDS-TombstoneQuotaFactor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	100,
	ASN1ObjID	{1 2 840 113556 1 4 1847}
}

-- Attribute definition for ms-DS-Top-Quota-Usage
"msDS-TopQuotaUsage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1850}
}

-- Attribute definition for ms-DS-Trust-Forest-Trust-Info
"msDS-TrustForestTrustInfo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1702}
}

-- Attribute definition for ms-DS-UpdateScript
"msDS-UpdateScript" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1721}
}

-- Attribute definition for ms-DS-User-Account-Control-Computed
"msDS-User-Account-Control-Comput" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1460}
}

-- Attribute definition for ms-Exch-Assistant-Name
"msExchAssistantName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 2 444}
}

-- Attribute definition for ms-Exch-House-Identifier
"msExchHouseIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{1 2 840 113556 1 2 596}
}

-- Attribute definition for ms-Exch-LabeledURI
"msExchLabeledURI" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 2 593}
}

-- Attribute definition for ms-FRS-Hub-Member
"msFRS-Hub-Member" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1693}
}

-- Attribute definition for ms-FRS-Topology-Pref
"msFRS-Topology-Pref" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1692}
}

-- Attribute definition for ms-ieee-80211-Data
"msieee80211-Data" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1821}
}

-- Attribute definition for ms-ieee-80211-Data-Type
"msieee80211-DataType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1822}
}

-- Attribute definition for ms-ieee-80211-ID
"msieee80211-ID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1823}
}

-- Attribute definition for Msi-File-List
"msiFileList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 671}
}

-- Attribute definition for ms-IIS-FTP-Dir
"msIIS-FTPDir" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 1786}
}

-- Attribute definition for ms-IIS-FTP-Root
"msIIS-FTPRoot" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 1785}
}

-- Attribute definition for Msi-Script
"msiScript" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 814}
}

-- Attribute definition for Msi-Script-Name
"msiScriptName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 845}
}

-- Attribute definition for Msi-Script-Path
"msiScriptPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 15}
}

-- Attribute definition for Msi-Script-Size
"msiScriptSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 846}
}

-- Attribute definition for MSMQ-Multicast-Address
"MSMQ-MulticastAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1714}
}

-- Attribute definition for MSMQ-Recipient-FormatName
"msMQ-Recipient-FormatName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	255,
	ASN1ObjID	{1 2 840 113556 1 4 1695}
}

-- Attribute definition for MSMQ-Secured-Source
"MSMQ-SecuredSource" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1713}
}

-- Attribute definition for MSMQ-Authenticate
"mSMQAuthenticate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 923}
}

-- Attribute definition for MSMQ-Base-Priority
"mSMQBasePriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 920}
}

-- Attribute definition for MSMQ-Computer-Type
"mSMQComputerType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 933}
}

-- Attribute definition for MSMQ-Computer-Type-Ex
"mSMQComputerTypeEx" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1417}
}

-- Attribute definition for MSMQ-Cost
"mSMQCost" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 946}
}

-- Attribute definition for MSMQ-CSP-Name
"mSMQCSPName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 940}
}

-- Attribute definition for MSMQ-Dependent-Client-Service
"mSMQDependentClientService" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1239}
}

-- Attribute definition for MSMQ-Dependent-Client-Services
"mSMQDependentClientServices" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1226}
}

-- Attribute definition for MSMQ-Digests
"mSMQDigests" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 948}
}

-- Attribute definition for MSMQ-Digests-Mig
"mSMQDigestsMig" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 966}
}

-- Attribute definition for MSMQ-Ds-Service
"mSMQDsService" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1238}
}

-- Attribute definition for MSMQ-Ds-Services
"mSMQDsServices" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1228}
}

-- Attribute definition for MSMQ-Encrypt-Key
"mSMQEncryptKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 936}
}

-- Attribute definition for MSMQ-Foreign
"mSMQForeign" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 934}
}

-- Attribute definition for MSMQ-In-Routing-Servers
"mSMQInRoutingServers" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 929}
}

-- Attribute definition for MSMQ-Interval1
"mSMQInterval1" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1308}
}

-- Attribute definition for MSMQ-Interval2
"mSMQInterval2" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1309}
}

-- Attribute definition for MSMQ-Journal
"mSMQJournal" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 918}
}

-- Attribute definition for MSMQ-Journal-Quota
"mSMQJournalQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 921}
}

-- Attribute definition for MSMQ-Label
"mSMQLabel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	124,
	ASN1ObjID	{1 2 840 113556 1 4 922}
}

-- Attribute definition for MSMQ-Label-Ex
"mSMQLabelEx" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	124,
	ASN1ObjID	{1 2 840 113556 1 4 1415}
}

-- Attribute definition for MSMQ-Long-Lived
"mSMQLongLived" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 941}
}

-- Attribute definition for MSMQ-Migrated
"mSMQMigrated" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 952}
}

-- Attribute definition for MSMQ-Name-Style
"mSMQNameStyle" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 939}
}

-- Attribute definition for MSMQ-Nt4-Flags
"mSMQNt4Flags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 964}
}

-- Attribute definition for MSMQ-Nt4-Stub
"mSMQNt4Stub" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 960}
}

-- Attribute definition for MSMQ-OS-Type
"mSMQOSType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 935}
}

-- Attribute definition for MSMQ-Out-Routing-Servers
"mSMQOutRoutingServers" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 928}
}

-- Attribute definition for MSMQ-Owner-ID
"mSMQOwnerID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 925}
}

-- Attribute definition for MSMQ-Prev-Site-Gates
"mSMQPrevSiteGates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1225}
}

-- Attribute definition for MSMQ-Privacy-Level
"mSMQPrivacyLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2,
	ASN1ObjID	{1 2 840 113556 1 4 924}
}

-- Attribute definition for MSMQ-QM-ID
"mSMQQMID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 951}
}

-- Attribute definition for MSMQ-Queue-Journal-Quota
"mSMQQueueJournalQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 963}
}

-- Attribute definition for MSMQ-Queue-Name-Ext
"mSMQQueueNameExt" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	92,
	ASN1ObjID	{1 2 840 113556 1 4 1243}
}

-- Attribute definition for MSMQ-Queue-Quota
"mSMQQueueQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 962}
}

-- Attribute definition for MSMQ-Queue-Type
"mSMQQueueType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 917}
}

-- Attribute definition for MSMQ-Quota
"mSMQQuota" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 919}
}

-- Attribute definition for MSMQ-Routing-Service
"mSMQRoutingService" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1237}
}

-- Attribute definition for MSMQ-Routing-Services
"mSMQRoutingServices" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1227}
}

-- Attribute definition for MSMQ-Services
"mSMQServices" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 950}
}

-- Attribute definition for MSMQ-Service-Type
"mSMQServiceType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 930}
}

-- Attribute definition for MSMQ-Sign-Certificates
"mSMQSignCertificates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1048576,
	ASN1ObjID	{1 2 840 113556 1 4 947}
}

-- Attribute definition for MSMQ-Sign-Certificates-Mig
"mSMQSignCertificatesMig" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1048576,
	ASN1ObjID	{1 2 840 113556 1 4 967}
}

-- Attribute definition for MSMQ-Sign-Key
"mSMQSignKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 937}
}

-- Attribute definition for MSMQ-Site-1
"mSMQSite1" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 943}
}

-- Attribute definition for MSMQ-Site-2
"mSMQSite2" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 944}
}

-- Attribute definition for MSMQ-Site-Foreign
"mSMQSiteForeign" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 961}
}

-- Attribute definition for MSMQ-Site-Gates
"mSMQSiteGates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 945}
}

-- Attribute definition for MSMQ-Site-Gates-Mig
"mSMQSiteGatesMig" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1310}
}

-- Attribute definition for MSMQ-Site-ID
"mSMQSiteID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 953}
}

-- Attribute definition for MSMQ-Site-Name
"mSMQSiteName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 965}
}

-- Attribute definition for MSMQ-Site-Name-Ex
"mSMQSiteNameEx" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1416}
}

-- Attribute definition for MSMQ-Sites
"mSMQSites" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 927}
}

-- Attribute definition for MSMQ-Transactional
"mSMQTransactional" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 926}
}

-- Attribute definition for MSMQ-User-Sid
"mSMQUserSid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	128,
	ASN1ObjID	{1 2 840 113556 1 4 1337}
}

-- Attribute definition for MSMQ-Version
"mSMQVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 942}
}

-- Attribute definition for msNPAllowDialin
"msNPAllowDialin" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1119}
}

-- Attribute definition for msNPCalledStationID
"msNPCalledStationID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1123}
}

-- Attribute definition for msNPCallingStationID
"msNPCallingStationID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1124}
}

-- Attribute definition for msNPSavedCallingStationID
"msNPSavedCallingStationID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1130}
}

-- Attribute definition for ms-PKI-Cert-Template-OID
"msPKI-Cert-Template-OID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1436}
}

-- Attribute definition for ms-PKI-Certificate-Application-Policy
"msPKI-Certificate-Application-Po" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1674}
}

-- Attribute definition for ms-PKI-Certificate-Name-Flag
"msPKI-Certificate-Name-Flag" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1432}
}

-- Attribute definition for ms-PKI-Certificate-Policy
"msPKI-Certificate-Policy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1439}
}

-- Attribute definition for ms-PKI-Enrollment-Flag
"msPKI-Enrollment-Flag" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1430}
}

-- Attribute definition for ms-PKI-Minimal-Key-Size
"msPKI-Minimal-Key-Size" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1433}
}

-- Attribute definition for ms-PKI-OID-Attribute
"msPKI-OID-Attribute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1671}
}

-- Attribute definition for ms-PKI-OID-CPS
"msPKI-OID-CPS" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 4 1672}
}

-- Attribute definition for ms-PKI-OID-User-Notice
"msPKI-OID-User-Notice" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 4 1673}
}

-- Attribute definition for ms-PKI-OID-LocalizedName
"msPKI-OIDLocalizedName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	512,
	ASN1ObjID	{1 2 840 113556 1 4 1712}
}

-- Attribute definition for ms-PKI-Private-Key-Flag
"msPKI-Private-Key-Flag" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1431}
}

-- Attribute definition for ms-PKI-RA-Application-Policies
"msPKI-RA-Application-Policies" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1675}
}

-- Attribute definition for ms-PKI-RA-Policies
"msPKI-RA-Policies" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1438}
}

-- Attribute definition for ms-PKI-RA-Signature
"msPKI-RA-Signature" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1429}
}

-- Attribute definition for ms-PKI-Supersede-Templates
"msPKI-Supersede-Templates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1437}
}

-- Attribute definition for ms-PKI-Template-Minor-Revision
"msPKI-Template-Minor-Revision" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1435}
}

-- Attribute definition for ms-PKI-Template-Schema-Version
"msPKI-Template-Schema-Version" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1434}
}

-- Attribute definition for msRADIUSCallbackNumber
"msRADIUSCallbackNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1145}
}

-- Attribute definition for msRADIUSFramedIPAddress
"msRADIUSFramedIPAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1153}
}

-- Attribute definition for msRADIUSFramedRoute
"msRADIUSFramedRoute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1158}
}

-- Attribute definition for msRADIUSServiceType
"msRADIUSServiceType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1171}
}

-- Attribute definition for msRASSavedCallbackNumber
"msRASSavedCallbackNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1189}
}

-- Attribute definition for msRASSavedFramedIPAddress
"msRASSavedFramedIPAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1190}
}

-- Attribute definition for msRASSavedFramedRoute
"msRASSavedFramedRoute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1191}
}

-- Attribute definition for ms-RRAS-Attribute
"msRRASAttribute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 884}
}

-- Attribute definition for ms-RRAS-Vendor-Attribute-Entry
"msRRASVendorAttributeEntry" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 883}
}

-- Attribute definition for ms-TAPI-Conference-Blob
"msTAPI-ConferenceBlob" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1700}
}

-- Attribute definition for ms-TAPI-Ip-Address
"msTAPI-IpAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1701}
}

-- Attribute definition for ms-TAPI-Protocol-Id
"msTAPI-ProtocolId" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1699}
}

-- Attribute definition for ms-TAPI-Unique-Identifier
"msTAPI-uid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 1698}
}

-- Attribute definition for ms-WMI-Author
"msWMI-Author" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1623}
}

-- Attribute definition for ms-WMI-ChangeDate
"msWMI-ChangeDate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1624}
}

-- Attribute definition for ms-WMI-Class
"msWMI-Class" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1676}
}

-- Attribute definition for ms-WMI-ClassDefinition
"msWMI-ClassDefinition" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1625}
}

-- Attribute definition for ms-WMI-CreationDate
"msWMI-CreationDate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1626}
}

-- Attribute definition for ms-WMI-Genus
"msWMI-Genus" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1677}
}

-- Attribute definition for ms-WMI-ID
"msWMI-ID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1627}
}

-- Attribute definition for ms-WMI-int8Default
"msWMI-Int8Default" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1632}
}

-- Attribute definition for ms-WMI-int8Max
"msWMI-Int8Max" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1633}
}

-- Attribute definition for ms-WMI-int8Min
"msWMI-Int8Min" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1634}
}

-- Attribute definition for ms-WMI-int8ValidValues
"msWMI-Int8ValidValues" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1635}
}

-- Attribute definition for ms-WMI-intDefault
"msWMI-IntDefault" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1628}
}

-- Attribute definition for ms-WMI-intFlags1
"msWMI-intFlags1" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1678}
}

-- Attribute definition for ms-WMI-intFlags2
"msWMI-intFlags2" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1679}
}

-- Attribute definition for ms-WMI-intFlags3
"msWMI-intFlags3" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1680}
}

-- Attribute definition for ms-WMI-intFlags4
"msWMI-intFlags4" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1681}
}

-- Attribute definition for ms-WMI-intMax
"msWMI-IntMax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1629}
}

-- Attribute definition for ms-WMI-intMin
"msWMI-IntMin" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1630}
}

-- Attribute definition for ms-WMI-intValidValues
"msWMI-IntValidValues" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1631}
}

-- Attribute definition for ms-WMI-Mof
"msWMI-Mof" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1638}
}

-- Attribute definition for ms-WMI-Name
"msWMI-Name" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1639}
}

-- Attribute definition for ms-WMI-NormalizedClass
"msWMI-NormalizedClass" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1640}
}

-- Attribute definition for ms-WMI-Parm1
"msWMI-Parm1" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1682}
}

-- Attribute definition for ms-WMI-Parm2
"msWMI-Parm2" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1683}
}

-- Attribute definition for ms-WMI-Parm3
"msWMI-Parm3" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1684}
}

-- Attribute definition for ms-WMI-Parm4
"msWMI-Parm4" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1685}
}

-- Attribute definition for ms-WMI-PropertyName
"msWMI-PropertyName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1641}
}

-- Attribute definition for ms-WMI-Query
"msWMI-Query" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1642}
}

-- Attribute definition for ms-WMI-QueryLanguage
"msWMI-QueryLanguage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1643}
}

-- Attribute definition for ms-WMI-ScopeGuid
"msWMI-ScopeGuid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1686}
}

-- Attribute definition for ms-WMI-SourceOrganization
"msWMI-SourceOrganization" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1644}
}

-- Attribute definition for ms-WMI-stringDefault
"msWMI-StringDefault" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1636}
}

-- Attribute definition for ms-WMI-stringValidValues
"msWMI-StringValidValues" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1637}
}

-- Attribute definition for ms-WMI-TargetClass
"msWMI-TargetClass" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1645}
}

-- Attribute definition for ms-WMI-TargetNameSpace
"msWMI-TargetNameSpace" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1646}
}

-- Attribute definition for ms-WMI-TargetObject
"msWMI-TargetObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1647}
}

-- Attribute definition for ms-WMI-TargetPath
"msWMI-TargetPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1648}
}

-- Attribute definition for ms-WMI-TargetType
"msWMI-TargetType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1649}
}

-- Attribute definition for Must-Contain
"mustContain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 24}
}

-- Attribute definition for RDN
"name" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	255,
	ASN1ObjID	{1 2 840 113556 1 4 1}
}

-- Attribute definition for Name-Service-Flags
"nameServiceFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 753}
}

-- Attribute definition for NC-Name
"nCName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 16}
}

-- Attribute definition for NETBIOS-Name
"nETBIOSName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 87}
}

-- Attribute definition for netboot-Allow-New-Clients
"netbootAllowNewClients" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 849}
}

-- Attribute definition for netboot-Answer-Only-Valid-Clients
"netbootAnswerOnlyValidClients" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 854}
}

-- Attribute definition for netboot-Answer-Requests
"netbootAnswerRequests" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 853}
}

-- Attribute definition for netboot-Current-Client-Count
"netbootCurrentClientCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 852}
}

-- Attribute definition for Netboot-GUID
"netbootGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 359}
}

-- Attribute definition for Netboot-Initialization
"netbootInitialization" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 358}
}

-- Attribute definition for netboot-IntelliMirror-OSes
"netbootIntelliMirrorOSes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 857}
}

-- Attribute definition for netboot-Limit-Clients
"netbootLimitClients" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 850}
}

-- Attribute definition for netboot-Locally-Installed-OSes
"netbootLocallyInstalledOSes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 859}
}

-- Attribute definition for Netboot-Machine-File-Path
"netbootMachineFilePath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 361}
}

-- Attribute definition for netboot-Max-Clients
"netbootMaxClients" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 851}
}

-- Attribute definition for Netboot-Mirror-Data-File
"netbootMirrorDataFile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1241}
}

-- Attribute definition for netboot-New-Machine-Naming-Policy
"netbootNewMachineNamingPolicy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 855}
}

-- Attribute definition for netboot-New-Machine-OU
"netbootNewMachineOU" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 856}
}

-- Attribute definition for netboot-SCP-BL
"netbootSCPBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 864}
}

-- Attribute definition for netboot-Server
"netbootServer" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 860}
}

-- Attribute definition for Netboot-SIF-File
"netbootSIFFile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1240}
}

-- Attribute definition for netboot-Tools
"netbootTools" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 858}
}

-- Attribute definition for Next-Level-Store
"nextLevelStore" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 214}
}

-- Attribute definition for Next-Rid
"nextRid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 88}
}

-- Attribute definition for nisDomain
"nisDomain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 30}
}

-- Attribute definition for nisMapEntry
"nisMapEntry" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 3 6 1 1 1 1 27}
}

-- Attribute definition for nisMapName
"nisMapName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 3 6 1 1 1 1 26}
}

-- Attribute definition for nisNetgroupTriple
"nisNetgroupTriple" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 3 6 1 1 1 1 14}
}

-- Attribute definition for nisPublicKey
"nisPublicKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 3 6 1 1 1 1 28}
}

-- Attribute definition for nisSecretKey
"nisSecretKey" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 3 6 1 1 1 1 29}
}

-- Attribute definition for Non-Security-Member
"nonSecurityMember" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 530}
}

-- Attribute definition for Non-Security-Member-BL
"nonSecurityMemberBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 531}
}

-- Attribute definition for Additional-Information
"notes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 4 265}
}

-- Attribute definition for Notification-List
"notificationList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 303}
}

-- Attribute definition for NT-Group-Members
"nTGroupMembers" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 89}
}

-- Attribute definition for NT-Mixed-Domain
"nTMixedDomain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 357}
}

-- Attribute definition for Nt-Pwd-History
"ntPwdHistory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 94}
}

-- Attribute definition for NT-Security-Descriptor
"nTSecurityDescriptor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	132096,
	ASN1ObjID	{1 2 840 113556 1 2 281}
}

-- Attribute definition for Object-Category
"objectCategory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 782}
}

-- Attribute definition for Object-Class-Category
"objectClassCategory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	3,
	ASN1ObjID	{1 2 840 113556 1 2 370}
}

-- Attribute definition for objectclassMap
"objectclassMap" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 11}
}

-- Attribute definition for Object-Count
"objectCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 506}
}

-- Attribute definition for Object-Guid
"objectGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 2}
}

-- Attribute definition for Object-Sid
"objectSid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SERVER_READ, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	28,
	ASN1ObjID	{1 2 840 113556 1 4 146}
}

-- Attribute definition for OEM-Information
"oEMInformation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 151}
}

-- Attribute definition for OM-Object-Class
"oMObjectClass" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 218}
}

-- Attribute definition for OM-Syntax
"oMSyntax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 231}
}

-- Attribute definition for OMT-Guid
"oMTGuid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 505}
}

-- Attribute definition for OMT-Indx-Guid
"oMTIndxGuid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 333}
}

-- Attribute definition for oncRpcNumber
"oncRpcNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 18}
}

-- Attribute definition for Operating-System
"operatingSystem" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 363}
}

-- Attribute definition for Operating-System-Hotfix
"operatingSystemHotfix" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 415}
}

-- Attribute definition for Operating-System-Service-Pack
"operatingSystemServicePack" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 365}
}

-- Attribute definition for Operating-System-Version
"operatingSystemVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 364}
}

-- Attribute definition for Operator-Count
"operatorCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 144}
}

-- Attribute definition for Option-Description
"optionDescription" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 712}
}

-- Attribute definition for Options
"options" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 307}
}

-- Attribute definition for Options-Location
"optionsLocation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 713}
}

-- Attribute definition for organizationalStatus
"organizationalStatus" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 45}
}

-- Attribute definition for Original-Display-Table
"originalDisplayTable" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 445}
}

-- Attribute definition for Original-Display-Table-MSDOS
"originalDisplayTableMSDOS" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 214}
}

-- Attribute definition for Phone-Fax-Other
"otherFacsimileTelephoneNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 646}
}

-- Attribute definition for Phone-Home-Other
"otherHomePhone" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 2 277}
}

-- Attribute definition for Phone-Ip-Other
"otherIpPhone" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 722}
}

-- Attribute definition for Other-Login-Workstations
"otherLoginWorkstations" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 91}
}

-- Attribute definition for Other-Mailbox
"otherMailbox" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{0 9 2342 19200300 100 1 22}
}

-- Attribute definition for Phone-Mobile-Other
"otherMobile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 647}
}

-- Attribute definition for Phone-Pager-Other
"otherPager" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 2 118}
}

-- Attribute definition for Phone-Office-Other
"otherTelephone" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 2 18}
}

-- Attribute definition for Other-Well-Known-Objects
"otherWellKnownObjects" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PATH,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1359}
}

-- Attribute definition for ms-Exch-Owner-BL
"ownerBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 104}
}

-- Attribute definition for Package-Flags
"packageFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 327}
}

-- Attribute definition for Package-Name
"packageName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 326}
}

-- Attribute definition for Package-Type
"packageType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 324}
}

-- Attribute definition for Parent-CA
"parentCA" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 557}
}

-- Attribute definition for Parent-CA-Certificate-Chain
"parentCACertificateChain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 685}
}

-- Attribute definition for Parent-GUID
"parentGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1224}
}

-- Attribute definition for Partial-Attribute-Deletion-List
"partialAttributeDeletionList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 663}
}

-- Attribute definition for Partial-Attribute-Set
"partialAttributeSet" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 640}
}

-- Attribute definition for Pek-Key-Change-Interval
"pekKeyChangeInterval" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 866}
}

-- Attribute definition for Pek-List
"pekList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 865}
}

-- Attribute definition for Pending-CA-Certificates
"pendingCACertificates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 693}
}

-- Attribute definition for Pending-Parent-CA
"pendingParentCA" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 695}
}

-- Attribute definition for Per-Msg-Dialog-Display-Table
"perMsgDialogDisplayTable" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 325}
}

-- Attribute definition for Per-Recip-Dialog-Display-Table
"perRecipDialogDisplayTable" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{1 2 840 113556 1 2 326}
}

-- Attribute definition for Personal-Title
"personalTitle" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{0 9 2342 19200300 100 1 40}
}

-- Attribute definition for Physical-Location-Object
"physicalLocationObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 514}
}

-- Attribute definition for PKI-Critical-Extensions
"pKICriticalExtensions" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1330}
}

-- Attribute definition for PKI-Default-CSPs
"pKIDefaultCSPs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1334}
}

-- Attribute definition for PKI-Default-Key-Spec
"pKIDefaultKeySpec" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1327}
}

-- Attribute definition for PKI-Enrollment-Access
"pKIEnrollmentAccess" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1335}
}

-- Attribute definition for PKI-Expiration-Period
"pKIExpirationPeriod" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1331}
}

-- Attribute definition for PKI-Extended-Key-Usage
"pKIExtendedKeyUsage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1333}
}

-- Attribute definition for PKI-Key-Usage
"pKIKeyUsage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1328}
}

-- Attribute definition for PKI-Max-Issuing-Depth
"pKIMaxIssuingDepth" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1329}
}

-- Attribute definition for PKI-Overlap-Period
"pKIOverlapPeriod" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1332}
}

-- Attribute definition for PKT
"pKT" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	10485760,
	ASN1ObjID	{1 2 840 113556 1 4 206}
}

-- Attribute definition for PKT-Guid
"pKTGuid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 205}
}

-- Attribute definition for Policy-Replication-Flags
"policyReplicationFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 633}
}

-- Attribute definition for Port-Name
"portName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 228}
}

-- Attribute definition for Possible-Inferiors
"possibleInferiors" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 915}
}

-- Attribute definition for Poss-Superiors
"possSuperiors" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 8}
}

-- Attribute definition for Preferred-OU
"preferredOU" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 97}
}

-- Attribute definition for preferredServerList
"preferredServerList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 2}
}

-- Attribute definition for Prefix-Map
"prefixMap" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 538}
}

-- Attribute definition for Previous-CA-Certificates
"previousCACertificates" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 692}
}

-- Attribute definition for Previous-Parent-CA
"previousParentCA" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 694}
}

-- Attribute definition for Primary-Group-ID
"primaryGroupID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 98}
}

-- Attribute definition for Primary-Group-Token
"primaryGroupToken" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1412}
}

-- Attribute definition for Phone-ISDN-Primary
"primaryInternationalISDNNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 649}
}

-- Attribute definition for Telex-Primary
"primaryTelexNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	64,
	ASN1ObjID	{1 2 840 113556 1 4 648}
}

-- Attribute definition for Print-Attributes
"printAttributes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 247}
}

-- Attribute definition for Print-Bin-Names
"printBinNames" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 237}
}

-- Attribute definition for Print-Collate
"printCollate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 242}
}

-- Attribute definition for Print-Color
"printColor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 243}
}

-- Attribute definition for Print-Duplex-Supported
"printDuplexSupported" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1311}
}

-- Attribute definition for Print-End-Time
"printEndTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 234}
}

-- Attribute definition for Printer-Name
"printerName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 300}
}

-- Attribute definition for Print-Form-Name
"printFormName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 235}
}

-- Attribute definition for Print-Keep-Printed-Jobs
"printKeepPrintedJobs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 275}
}

-- Attribute definition for Print-Language
"printLanguage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 246}
}

-- Attribute definition for Print-MAC-Address
"printMACAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 288}
}

-- Attribute definition for Print-Max-Copies
"printMaxCopies" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 241}
}

-- Attribute definition for Print-Max-Resolution-Supported
"printMaxResolutionSupported" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 238}
}

-- Attribute definition for Print-Max-X-Extent
"printMaxXExtent" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 277}
}

-- Attribute definition for Print-Max-Y-Extent
"printMaxYExtent" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 278}
}

-- Attribute definition for Print-Media-Ready
"printMediaReady" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 289}
}

-- Attribute definition for Print-Media-Supported
"printMediaSupported" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 299}
}

-- Attribute definition for Print-Memory
"printMemory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 282}
}

-- Attribute definition for Print-Min-X-Extent
"printMinXExtent" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 279}
}

-- Attribute definition for Print-Min-Y-Extent
"printMinYExtent" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 280}
}

-- Attribute definition for Print-Network-Address
"printNetworkAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 287}
}

-- Attribute definition for Print-Notify
"printNotify" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 272}
}

-- Attribute definition for Print-Number-Up
"printNumberUp" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 290}
}

-- Attribute definition for Print-Orientations-Supported
"printOrientationsSupported" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 240}
}

-- Attribute definition for Print-Owner
"printOwner" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 271}
}

-- Attribute definition for Print-Pages-Per-Minute
"printPagesPerMinute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 631}
}

-- Attribute definition for Print-Rate
"printRate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 285}
}

-- Attribute definition for Print-Rate-Unit
"printRateUnit" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 286}
}

-- Attribute definition for Print-Separator-File
"printSeparatorFile" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 230}
}

-- Attribute definition for Print-Share-Name
"printShareName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 270}
}

-- Attribute definition for Print-Spooling
"printSpooling" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 274}
}

-- Attribute definition for Print-Stapling-Supported
"printStaplingSupported" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 281}
}

-- Attribute definition for Print-Start-Time
"printStartTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 233}
}

-- Attribute definition for Print-Status
"printStatus" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 273}
}

-- Attribute definition for Priority
"priority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 231}
}

-- Attribute definition for Prior-Set-Time
"priorSetTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 99}
}

-- Attribute definition for Prior-Value
"priorValue" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 100}
}

-- Attribute definition for Privilege-Attributes
"privilegeAttributes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 636}
}

-- Attribute definition for Privilege-Display-Name
"privilegeDisplayName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 634}
}

-- Attribute definition for Privilege-Holder
"privilegeHolder" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 637}
}

-- Attribute definition for Privilege-Value
"privilegeValue" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 635}
}

-- Attribute definition for Product-Code
"productCode" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 818}
}

-- Attribute definition for Profile-Path
"profilePath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 139}
}

-- Attribute definition for profileTTL
"profileTTL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 7}
}

-- Attribute definition for Proxied-Object-Name
"proxiedObjectName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PATH,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1249}
}

-- Attribute definition for Proxy-Addresses
"proxyAddresses" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1123,
	ASN1ObjID	{1 2 840 113556 1 2 210}
}

-- Attribute definition for Proxy-Generation-Enabled
"proxyGenerationEnabled" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 523}
}

-- Attribute definition for Proxy-Lifetime
"proxyLifetime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 103}
}

-- Attribute definition for Public-Key-Policy
"publicKeyPolicy" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 420}
}

-- Attribute definition for Purported-Search
"purportedSearch" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 4 886}
}

-- Attribute definition for Pwd-History-Length
"pwdHistoryLength" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	65535,
	ASN1ObjID	{1 2 840 113556 1 4 95}
}

-- Attribute definition for Pwd-Properties
"pwdProperties" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 93}
}

-- Attribute definition for Quality-Of-Service
"qualityOfService" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 458}
}

-- Attribute definition for Query-Filter
"queryFilter" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1355}
}

-- Attribute definition for QueryPoint
"queryPoint" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 680}
}

-- Attribute definition for Query-Policy-BL
"queryPolicyBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 608}
}

-- Attribute definition for Query-Policy-Object
"queryPolicyObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 607}
}

-- Attribute definition for Range-Lower
"rangeLower" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 34}
}

-- Attribute definition for Range-Upper
"rangeUpper" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 35}
}

-- Attribute definition for RDN-Att-ID
"rDNAttID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 26}
}

-- Attribute definition for Remote-Server-Name
"remoteServerName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 105}
}

-- Attribute definition for Remote-Source
"remoteSource" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 107}
}

-- Attribute definition for Remote-Source-Type
"remoteSourceType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 108}
}

-- Attribute definition for Remote-Storage-GUID
"remoteStorageGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 809}
}

-- Attribute definition for Replica-Source
"replicaSource" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 109}
}

-- Attribute definition for Repl-Interval
"replInterval" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1336}
}

-- Attribute definition for Repl-Property-Meta-Data
"replPropertyMetaData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 3}
}

-- Attribute definition for Repl-Topology-Stay-Of-Execution
"replTopologyStayOfExecution" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 677}
}

-- Attribute definition for Repl-UpToDate-Vector
"replUpToDateVector" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 4}
}

-- Attribute definition for Reps-From
"repsFrom" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 91}
}

-- Attribute definition for Reps-To
"repsTo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 83}
}

-- Attribute definition for Required-Categories
"requiredCategories" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 321}
}

-- Attribute definition for Retired-Repl-DSA-Signatures
"retiredReplDSASignatures" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 673}
}

-- Attribute definition for Rid
"rid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 153}
}

-- Attribute definition for RID-Allocation-Pool
"rIDAllocationPool" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 371}
}

-- Attribute definition for RID-Available-Pool
"rIDAvailablePool" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 370}
}

-- Attribute definition for RID-Block-Size
"rIDBlockSize" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 513 2 30}
}

-- Attribute definition for RID-Manager-Reference
"rIDManagerReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 368}
}

-- Attribute definition for RID-Next-RID
"rIDNextRID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 374}
}

-- Attribute definition for RID-Previous-Allocation-Pool
"rIDPreviousAllocationPool" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 372}
}

-- Attribute definition for RID-Set-References
"rIDSetReferences" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 669}
}

-- Attribute definition for RID-Used-Pool
"rIDUsedPool" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 373}
}

-- Attribute definition for Rights-Guid
"rightsGuid" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	36,
	UpperBound	36,
	ASN1ObjID	{1 2 840 113556 1 4 340}
}

-- Attribute definition for Root-Trust
"rootTrust" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 674}
}

-- Attribute definition for rpc-Ns-Annotation
"rpcNsAnnotation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 366}
}

-- Attribute definition for rpc-Ns-Bindings
"rpcNsBindings" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 113}
}

-- Attribute definition for rpc-Ns-Codeset
"rpcNsCodeset" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 367}
}

-- Attribute definition for rpc-Ns-Entry-Flags
"rpcNsEntryFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 754}
}

-- Attribute definition for rpc-Ns-Group
"rpcNsGroup" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 114}
}

-- Attribute definition for rpc-Ns-Interface-ID
"rpcNsInterfaceID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 115}
}

-- Attribute definition for rpc-Ns-Object-ID
"rpcNsObjectID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 312}
}

-- Attribute definition for rpc-Ns-Priority
"rpcNsPriority" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 117}
}

-- Attribute definition for rpc-Ns-Profile-Entry
"rpcNsProfileEntry" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 118}
}

-- Attribute definition for rpc-Ns-Transfer-Syntax
"rpcNsTransferSyntax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 314}
}

-- Attribute definition for SAM-Account-Name
"sAMAccountName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 221}
}

-- Attribute definition for SAM-Account-Type
"sAMAccountType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 302}
}

-- Attribute definition for Schedule
"schedule" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 211}
}

-- Attribute definition for Schema-Flags-Ex
"schemaFlagsEx" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 120}
}

-- Attribute definition for Schema-ID-GUID
"schemaIDGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 148}
}

-- Attribute definition for Schema-Info
"schemaInfo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1358}
}

-- Attribute definition for Schema-Update
"schemaUpdate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 481}
}

-- Attribute definition for Schema-Version
"schemaVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 471}
}

-- Attribute definition for Scope-Flags
"scopeFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1354}
}

-- Attribute definition for Script-Path
"scriptPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 62}
}

-- Attribute definition for SD-Rights-Effective
"sDRightsEffective" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1304}
}

-- Attribute definition for Search-Flags
"searchFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 334}
}

-- Attribute definition for searchTimeLimit
"searchTimeLimit" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 27 4 5}
}

-- Attribute definition for Security-Identifier
"securityIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 121}
}

-- Attribute definition for Seq-Notification
"seqNotification" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 504}
}

-- Attribute definition for Server-Name
"serverName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 223}
}

-- Attribute definition for Server-Reference
"serverReference" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SERVER_READ, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 515}
}

-- Attribute definition for Server-Reference-BL
"serverReferenceBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 516}
}

-- Attribute definition for Server-Role
"serverRole" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 157}
}

-- Attribute definition for Server-State
"serverState" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 154}
}

-- Attribute definition for serviceAuthenticationMethod
"serviceAuthenticationMethod" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 15}
}

-- Attribute definition for Service-Binding-Information
"serviceBindingInformation" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 510}
}

-- Attribute definition for Service-Class-ID
"serviceClassID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 122}
}

-- Attribute definition for Service-Class-Info
"serviceClassInfo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 123}
}

-- Attribute definition for Service-Class-Name
"serviceClassName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 509}
}

-- Attribute definition for serviceCredentialLevel
"serviceCredentialLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 13}
}

-- Attribute definition for Service-DNS-Name
"serviceDNSName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 657}
}

-- Attribute definition for Service-DNS-Name-Type
"serviceDNSNameType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113556 1 4 659}
}

-- Attribute definition for Service-Instance-Version
"serviceInstanceVersion" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	8,
	ASN1ObjID	{1 2 840 113556 1 4 199}
}

-- Attribute definition for Service-Principal-Name
"servicePrincipalName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 771}
}

-- Attribute definition for serviceSearchDescriptor
"serviceSearchDescriptor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 1 14}
}

-- Attribute definition for Setup-Command
"setupCommand" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 325}
}

-- Attribute definition for shadowExpire
"shadowExpire" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 10}
}

-- Attribute definition for shadowFlag
"shadowFlag" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 11}
}

-- Attribute definition for shadowInactive
"shadowInactive" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 9}
}

-- Attribute definition for shadowLastChange
"shadowLastChange" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 5}
}

-- Attribute definition for shadowMax
"shadowMax" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 7}
}

-- Attribute definition for shadowMin
"shadowMin" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 6}
}

-- Attribute definition for shadowWarning
"shadowWarning" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 8}
}

-- Attribute definition for Shell-Context-Menu
"shellContextMenu" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 615}
}

-- Attribute definition for Shell-Property-Pages
"shellPropertyPages" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 563}
}

-- Attribute definition for Short-Server-Name
"shortServerName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1209}
}

-- Attribute definition for Show-In-Address-Book
"showInAddressBook" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 644}
}

-- Attribute definition for Show-In-Advanced-View-Only
"showInAdvancedViewOnly" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 169}
}

-- Attribute definition for SID-History
"sIDHistory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 609}
}

-- Attribute definition for Signature-Algorithms
"signatureAlgorithms" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 824}
}

-- Attribute definition for Site-GUID
"siteGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	16,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 362}
}

-- Attribute definition for Site-Link-List
"siteLinkList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 822}
}

-- Attribute definition for Site-List
"siteList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 821}
}

-- Attribute definition for Site-Object
"siteObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 512}
}

-- Attribute definition for Site-Object-BL
"siteObjectBL" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 513}
}

-- Attribute definition for Site-Server
"siteServer" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 494}
}

-- Attribute definition for SPN-Mappings
"sPNMappings" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1347}
}

-- Attribute definition for Address
"streetAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 2 256}
}

-- Attribute definition for Sub-Class-Of
"subClassOf" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 21}
}

-- Attribute definition for Sub-Refs
"subRefs" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 7}
}

-- Attribute definition for Superior-DNS-Root
"superiorDNSRoot" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 532}
}

-- Attribute definition for Super-Scope-Description
"superScopeDescription" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 711}
}

-- Attribute definition for Super-Scopes
"superScopes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 710}
}

-- Attribute definition for Supplemental-Credentials
"supplementalCredentials" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 125}
}

-- Attribute definition for Sync-Attributes
"syncAttributes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 666}
}

-- Attribute definition for Sync-Membership
"syncMembership" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 665}
}

-- Attribute definition for Sync-With-Object
"syncWithObject" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 664}
}

-- Attribute definition for Sync-With-SID
"syncWithSID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 667}
}

-- Attribute definition for System-Auxiliary-Class
"systemAuxiliaryClass" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 198}
}

-- Attribute definition for System-Flags
"systemFlags" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 375}
}

-- Attribute definition for System-May-Contain
"systemMayContain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 196}
}

-- Attribute definition for System-Must-Contain
"systemMustContain" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 197}
}

-- Attribute definition for System-Only
"systemOnly" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 170}
}

-- Attribute definition for System-Poss-Superiors
"systemPossSuperiors" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 195}
}

-- Attribute definition for Template-Roots
"templateRoots" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1346}
}

-- Attribute definition for Terminal-Server
"terminalServer" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	20480,
	ASN1ObjID	{1 2 840 113556 1 4 885}
}

-- Attribute definition for Text-Encoded-OR-Address
"textEncodedORAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{0 9 2342 19200300 100 1 2}
}

-- Attribute definition for Logo
"thumbnailLogo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32767,
	ASN1ObjID	{2 16 840 1 113730 3 1 36}
}

-- Attribute definition for Picture
"thumbnailPhoto" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	102400,
	ASN1ObjID	{2 16 840 1 113730 3 1 35}
}

-- Attribute definition for Time-Refresh
"timeRefresh" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 503}
}

-- Attribute definition for Time-Vol-Change
"timeVolChange" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 502}
}

-- Attribute definition for Token-Groups
"tokenGroups" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1301}
}

-- Attribute definition for Token-Groups-Global-And-Universal
"tokenGroupsGlobalAndUniversal" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1418}
}

-- Attribute definition for Token-Groups-No-GC-Acceptable
"tokenGroupsNoGCAcceptable" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_OPERATIONAL, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1303}
}

-- Attribute definition for Tombstone-Lifetime
"tombstoneLifetime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 54}
}

-- Attribute definition for Transport-Address-Attribute
"transportAddressAttribute" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 895}
}

-- Attribute definition for Transport-DLL-Name
"transportDLLName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 789}
}

-- Attribute definition for Transport-Type
"transportType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 791}
}

-- Attribute definition for Treat-As-Leaf
"treatAsLeaf" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_BOOLEAN,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 806}
}

-- Attribute definition for Tree-Name
"treeName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 660}
}

-- Attribute definition for Trust-Attributes
"trustAttributes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 470}
}

-- Attribute definition for Trust-Auth-Incoming
"trustAuthIncoming" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 129}
}

-- Attribute definition for Trust-Auth-Outgoing
"trustAuthOutgoing" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 135}
}

-- Attribute definition for Trust-Direction
"trustDirection" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 132}
}

-- Attribute definition for Trust-Parent
"trustParent" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 471}
}

-- Attribute definition for Trust-Partner
"trustPartner" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 133}
}

-- Attribute definition for Trust-Posix-Offset
"trustPosixOffset" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 134}
}

-- Attribute definition for Trust-Type
"trustType" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 136}
}

-- Attribute definition for UAS-Compat
"uASCompat" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 155}
}

-- Attribute definition for uidNumber
"uidNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 0}
}

-- Attribute definition for UNC-Name
"uNCName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 137}
}

-- Attribute definition for Unicode-Pwd
"unicodePwd" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_HIDDEN_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 90}
}

-- Attribute definition for uniqueDomainID
"uniqueDomainID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_READ_ONLY_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 513 2 32}
}

-- Attribute definition for uniqueIdentifier
"uniqueIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 44}
}

-- Attribute definition for uniqueMember
"uniqueMember" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 50}
}

-- Attribute definition for unixHomeDirectory
"homeDirectory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 3 6 1 1 1 1 3}
}

-- Attribute definition for unixUserPassword
"unixUserPassword" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1910}
}

-- Attribute definition for unstructuredAddress
"unstructuredAddress" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113549 1 9 8}
}

-- Attribute definition for unstructuredName
"unstructuredName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CE_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	256,
	ASN1ObjID	{1 2 840 113549 1 9 2}
}

-- Attribute definition for Upgrade-Product-Code
"upgradeProductCode" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 813}
}

-- Attribute definition for UPN-Suffixes
"uPNSuffixes" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 890}
}

-- Attribute definition for WWW-Page-Other
"url" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 749}
}

-- Attribute definition for User-Account-Control
"userAccountControl" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 8}
}

-- Attribute definition for User-Cert
"userCert" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 645}
}

-- Attribute definition for userClass
"userClass" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID	{0 9 2342 19200300 100 1 8}
}

-- Attribute definition for User-Parameters
"userParameters" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32767,
	ASN1ObjID	{1 2 840 113556 1 4 138}
}

-- Attribute definition for User-Principal-Name
"userPrincipalName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 656}
}

-- Attribute definition for User-Shared-Folder
"userSharedFolder" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 751}
}

-- Attribute definition for User-Shared-Folder-Other
"userSharedFolderOther" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 752}
}

-- Attribute definition for User-SMIME-Certificate
"userSMIMECertificate" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	32768,
	ASN1ObjID	{2 16 840 1 113730 3 1 40}
}

-- Attribute definition for User-Workstations
"userWorkstations" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	1024,
	ASN1ObjID	{1 2 840 113556 1 4 86}
}

-- Attribute definition for USN-Changed
"uSNChanged" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 120}
}

-- Attribute definition for USN-Created
"uSNCreated" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 19}
}

-- Attribute definition for USN-DSA-Last-Obj-Removed
"uSNDSALastObjRemoved" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 267}
}

-- Attribute definition for USN-Intersite
"USNIntersite" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 469}
}

-- Attribute definition for USN-Last-Obj-Rem
"uSNLastObjRem" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 121}
}

-- Attribute definition for USN-Source
"uSNSource" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_INTEGER64, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 896}
}

-- Attribute definition for Valid-Accesses
"validAccesses" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1356}
}

-- Attribute definition for Vendor
"vendor" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	512,
	ASN1ObjID	{1 2 840 113556 1 4 255}
}

-- Attribute definition for Version-Number
"versionNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 141}
}

-- Attribute definition for Version-Number-Hi
"versionNumberHi" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 328}
}

-- Attribute definition for Version-Number-Lo
"versionNumberLo" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 329}
}

-- Attribute definition for Vol-Table-GUID
"volTableGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 336}
}

-- Attribute definition for Vol-Table-Idx-GUID
"volTableIdxGUID" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	0,
	UpperBound	16,
	ASN1ObjID	{1 2 840 113556 1 4 334}
}

-- Attribute definition for Volume-Count
"volumeCount" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 507}
}

-- Attribute definition for Wbem-Path
"wbemPath" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 301}
}

-- Attribute definition for Well-Known-Objects
"wellKnownObjects" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_PATH,
	Flags		{DS_SERVER_READ, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 618}
}

-- Attribute definition for When-Changed
"whenChanged" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_PER_REPLICA, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 3}
}

-- Attribute definition for When-Created
"whenCreated" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_TIME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 2 2}
}

-- Attribute definition for Winsock-Addresses
"winsockAddresses" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 142}
}

-- Attribute definition for WWW-Home-Page
"wWWHomePage" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	2048,
	ASN1ObjID	{1 2 840 113556 1 2 464}
}

-- Attribute definition for x500uniqueIdentifier
"x500uniqueIdentifier" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 45}
}

-- Attribute definition for xad-Domain-Flag
"xad-Domain-Flag" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{1 2 840 113556 1 4 1457}
}

-- Object class definition for Top
"Top" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	MayContain	{"USNIntersite",
			"adminDescription",
			"adminDisplayName",
			"allowedAttributes",
			"allowedAttributesEffective",
			"allowedChildClasses",
			"allowedChildClassesEffective",
			"bridgeheadServerListBL",
			"canonicalName",
			"cn",
			"dSASignature",
			"dSCorePropagationData",
			"description",
			"directReports",
			"displayName",
			"displayNamePrintable",
			"distinguishedName",
			"extensionName",
			"fRSMemberReferenceBL",
			"fSMORoleOwner",
			"flags",
			"fromEntry",
			"frsComputerReferenceBL",
			"instanceType",
			"isCriticalSystemObject",
			"isDeleted",
			"isPrivilegeHolder",
			"lastKnownParent",
			"mS-DS-ConsistencyChildCount",
			"mS-DS-ConsistencyGuid",
			"managedObjects",
			"masteredBy",
			"memberOf",
			"msCOM-PartitionSetLink",
			"msCOM-UserLink",
			"msDS-Approx-Immed-Subordinates",
			"msDS-MembersForAzRoleBL",
			"msDS-NCReplCursors",
			"msDS-NCReplInboundNeighbors",
			"msDS-NCReplOutboundNeighbors",
			"msDS-NonMembersBL",
			"msDS-ObjectReferenceBL",
			"msDS-OperationsForAzRoleBL",
			"msDS-OperationsForAzTaskBL",
			"msDS-ReplAttributeMetaData",
			"msDS-ReplValueMetaData",
			"msDS-TasksForAzRoleBL",
			"msDS-TasksForAzTaskBL",
			"msDs-masteredBy",
			"nTSecurityDescriptor",
			"name",
			"netbootSCPBL",
			"nonSecurityMemberBL",
			"objectCategory",
			"objectGUID",
			"otherWellKnownObjects",
			"ownerBL",
			"partialAttributeDeletionList",
			"partialAttributeSet",
			"possibleInferiors",
			"proxiedObjectName",
			"proxyAddresses",
			"queryPolicyBL",
			"replPropertyMetaData",
			"replUpToDateVector",
			"repsFrom",
			"repsTo",
			"sDRightsEffective",
			"serverReferenceBL",
			"showInAdvancedViewOnly",
			"siteObjectBL",
			"subRefs",
			"systemFlags",
			"uSNChanged",
			"uSNCreated",
			"uSNDSALastObjRemoved",
			"uSNLastObjRem",
			"uSNSource",
			"uniqueDomainID",
			"url",
			"wWWHomePage",
			"wbemPath",
			"wellKnownObjects",
			"whenChanged",
			"whenCreated"},
	ASN1ObjID	{2 5 6 0}
}

-- Object class definition for account
"account" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"host",
			"l",
			"o",
			"ou",
			"See Also",
			"uniqueID"},
	ASN1ObjID	{0 9 2342 19200300 100 4 5}
}

-- Object class definition for ACS-Policy
"aCSPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"aCSAggregateTokenRatePerUser",
			"aCSDirection",
			"aCSIdentityName",
			"aCSMaxAggregatePeakRatePerUser",
			"aCSMaxDurationPerFlow",
			"aCSMaxPeakBandwidthPerFlow",
			"aCSMaxTokenBucketPerFlow",
			"aCSMaxTokenRatePerFlow",
			"aCSMaximumSDUSize",
			"aCSMinimumDelayVariation",
			"aCSMinimumLatency",
			"aCSMinimumPolicedSize",
			"aCSPermissionBits",
			"aCSPriority",
			"aCSServiceType",
			"aCSTimeOfDay",
			"aCSTotalNoOfFlows"},
	ASN1ObjID	{1 2 840 113556 1 5 137}
}

-- Object class definition for ACS-Resource-Limits
"aCSResourceLimits" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"aCSAllocableRSVPBandwidth",
			"aCSMaxPeakBandwidth",
			"aCSMaxPeakBandwidthPerFlow",
			"aCSMaxTokenRatePerFlow",
			"aCSServiceType"},
	ASN1ObjID	{1 2 840 113556 1 5 191}
}

-- Object class definition for ACS-Subnet
"aCSSubnet" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"aCSAllocableRSVPBandwidth",
			"aCSCacheTimeout",
			"aCSDSBMDeadTime",
			"aCSDSBMPriority",
			"aCSDSBMRefresh",
			"aCSEnableACSService",
			"aCSEnableRSVPAccounting",
			"aCSEnableRSVPMessageLogging",
			"aCSEventLogLevel",
			"aCSMaxDurationPerFlow",
			"aCSMaxNoOfAccountFiles",
			"aCSMaxNoOfLogFiles",
			"aCSMaxPeakBandwidth",
			"aCSMaxPeakBandwidthPerFlow",
			"aCSMaxSizeOfRSVPAccountFile",
			"aCSMaxSizeOfRSVPLogFile",
			"aCSMaxTokenRatePerFlow",
			"aCSNonReservedMaxSDUSize",
			"aCSNonReservedMinPolicedSize",
			"aCSNonReservedPeakRate",
			"aCSNonReservedTokenSize",
			"aCSNonReservedTxLimit",
			"aCSNonReservedTxSize",
			"aCSRSVPAccountFilesLocation",
			"aCSRSVPLogFilesLocation",
			"aCSServerList"},
	ASN1ObjID	{1 2 840 113556 1 5 138}
}

-- Object class definition for Address-Book-Container
"addressBookContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"displayName"},
	MayContain	{"purportedSearch"},
	ASN1ObjID	{1 2 840 113556 1 5 125}
}

-- Object class definition for Application-Entity
"applicationEntity" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"l",
			"o",
			"ou",
			"See Also",
			"supportedApplicationContext"},
	ASN1ObjID	{2 5 6 12}
}

-- Object class definition for Application-Process
"applicationProcess" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"l",
			"ou",
			"See Also"},
	ASN1ObjID	{2 5 6 11}
}

-- Object class definition for Application-Settings
"applicationSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"applicationName",
			"msDS-Settings",
			"notificationList"},
	ASN1ObjID	{1 2 840 113556 1 5 7000 49}
}

-- Object class definition for Application-Site-Settings
"applicationSiteSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"applicationName",
			"notificationList"},
	ASN1ObjID	{1 2 840 113556 1 5 68}
}

-- Object class definition for Attribute-Schema
"attributeSchema" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"attributeID",
			"attributeSyntax",
			"cn",
			"isSingleValued",
			"lDAPDisplayName",
			"oMSyntax",
			"schemaIDGUID"},
	MayContain	{"attributeSecurityGUID",
			"classDisplayName",
			"extendedCharsAllowed",
			"isDefunct",
			"isEphemeral",
			"isMemberOfPartialAttributeSet",
			"linkID",
			"mAPIID",
			"msDS-IntId",
			"msDs-Schema-Extensions",
			"oMObjectClass",
			"rangeLower",
			"rangeUpper",
			"schemaFlagsEx",
			"searchFlags",
			"systemOnly"},
	ASN1ObjID	{1 2 840 113556 1 3 14}
}

-- Object class definition for Automount Information
"automount" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"automountKey"},
	MustContain	{"automountInformation",
			"automountKey"},
	MayContain	{"description"},
	ASN1ObjID	{1 3 6 1 1 1 2 17}
}

-- Object class definition for Automount Map
"automountMap" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"automountMapName"},
	MustContain	{"automountMapName"},
	MayContain	{"description"},
	ASN1ObjID	{1 3 6 1 1 1 2 16}
}

-- Object class definition for Builtin-Domain
"builtinDomain" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top",
			"ndsContainerLoginProperties"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"creationTime",
			"domainReplica",
			"forceLogoff",
			"lockOutObservationWindow",
			"lockoutDuration",
			"lockoutThreshold",
			"maxPwdAge",
			"minPwdAge",
			"minPwdLength",
			"modifiedCount",
			"modifiedCountAtLastProm",
			"nTSecurityDescriptor",
			"nextRid",
			"oEMInformation",
			"objectSid",
			"pwdHistoryLength",
			"pwdProperties",
			"serverRole",
			"serverState",
			"uASCompat"},
	ASN1ObjID	{1 2 840 113556 1 5 4}
}

-- Object class definition for Certification-Authority
"certificationAuthority" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"cACertificateDN",
			"cAConnect",
			"cAUsages",
			"cAWEBURL",
			"cRLObject",
			"certificateTemplates",
			"cn",
			"crossCertificatePair",
			"currentParentCA",
			"dNSHostName",
			"deltaRevocationList",
			"domainID",
			"domainPolicyObject",
			"enrollmentProviders",
			"parentCA",
			"parentCACertificateChain",
			"pendingCACertificates",
			"pendingParentCA",
			"previousCACertificates",
			"previousParentCA",
			"searchGuide",
			"signatureAlgorithms",
			"supportedApplicationContext",
			"teletexTerminalIdentifier"},
	ASN1ObjID	{2 5 6 16}
}

-- Object class definition for Class-Schema
"classSchema" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"governsID",
			"objectClassCategory",
			"schemaIDGUID",
			"subClassOf"},
	MayContain	{"auxiliaryClass",
			"classDisplayName",
			"defaultHidingValue",
			"defaultObjectCategory",
			"defaultSecurityDescriptor",
			"isDefunct",
			"lDAPDisplayName",
			"mayContain",
			"msDS-IntId",
			"msDs-Schema-Extensions",
			"mustContain",
			"possSuperiors",
			"rDNAttID",
			"schemaFlagsEx",
			"systemAuxiliaryClass",
			"systemMayContain",
			"systemMustContain",
			"systemOnly",
			"systemPossSuperiors"},
	ASN1ObjID	{1 2 840 113556 1 3 13}
}

-- Object class definition for Class-Store
"classStore" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"appSchemaVersion",
			"lastUpdateSequence",
			"nextLevelStore",
			"versionNumber"},
	ASN1ObjID	{1 2 840 113556 1 5 44}
}

-- Object class definition for Configuration
"configuration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"gPLink",
			"gPOptions"},
	ASN1ObjID	{1 2 840 113556 1 5 12}
}

-- Object class definition for Container
"container" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"defaultClassStore",
			"msDS-ObjectReference",
			"schemaVersion"},
	ASN1ObjID	{1 2 840 113556 1 3 23}
}

-- Object class definition for Control-Access-Right
"controlAccessRight" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"appliesTo",
			"localizationDisplayId",
			"rightsGuid",
			"validAccesses"},
	ASN1ObjID	{1 2 840 113556 1 5 77}
}

-- Object class definition for Country
"Country" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"co",
			"searchGuide"},
	ASN1ObjID	{2 5 6 2}
}

-- Object class definition for CRL-Distribution-Point
"cRLDistributionPoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"authorityRevocationList",
			"cRLPartitionedRevocationList",
			"certificateAuthorityObject",
			"certificateRevocationList",
			"deltaRevocationList"},
	ASN1ObjID	{2 5 6 19}
}

-- Object class definition for Cross-Ref
"crossRef" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"dnsRoot",
			"nCName"},
	MayContain	{"Enabled",
			"domainPartitionList",
			"msDS-Behavior-Version",
			"msDS-DnsRootAlias",
			"msDS-NC-Replica-Locations",
			"msDS-Replication-Notify-First-DS",
			"msDS-Replication-Notify-Subseque",
			"msDS-SDReferenceDomain",
			"nETBIOSName",
			"nTMixedDomain",
			"rootTrust",
			"superiorDNSRoot",
			"trustParent"},
	ASN1ObjID	{1 2 840 113556 1 3 11}
}

-- Object class definition for Cross-Ref-Container
"crossRefContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msDS-Behavior-Version",
			"msDS-ExecuteScriptPassword",
			"msDS-SPNSuffixes",
			"msDS-UpdateScript",
			"uPNSuffixes"},
	ASN1ObjID	{1 2 840 113556 1 5 7000 53}
}

-- Object class definition for Device
"Device" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"bootFile",
			"bootParameter",
			"description",
			"ipHostNumber",
			"l",
			"macAddress",
			"manager",
			"o",
			"ou",
			"owner",
			"See Also",
			"Serial Number"},
	ASN1ObjID	{2 5 6 14}
}

-- Object class definition for Dfs-Configuration
"dfsConfiguration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 42}
}

-- Object class definition for Display-Specifier
"displaySpecifier" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"adminContextMenu",
			"adminMultiselectPropertyPages",
			"adminPropertyPages",
			"attributeDisplayNames",
			"classDisplayName",
			"contextMenu",
			"createDialog",
			"createWizardExt",
			"creationWizard",
			"extraColumns",
			"iconPath",
			"queryFilter",
			"scopeFlags",
			"shellContextMenu",
			"shellPropertyPages",
			"treatAsLeaf"},
	ASN1ObjID	{1 2 840 113556 1 5 84}
}

-- Object class definition for Display-Template
"displayTemplate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"addressEntryDisplayTable",
			"addressEntryDisplayTableMSDOS",
			"helpData16",
			"helpData32",
			"helpFileName",
			"originalDisplayTable",
			"originalDisplayTableMSDOS"},
	ASN1ObjID	{1 2 840 113556 1 3 59}
}

-- Object class definition for DMD
"mSDS:DMD" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"dmdName",
			"msDS-IntId",
			"msDs-Schema-Extensions",
			"prefixMap",
			"schemaInfo",
			"schemaUpdate"},
	ASN1ObjID	{1 2 840 113556 1 3 9}
}

-- Object class definition for Dns-Node
"dnsNode" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"dc"},
	MustContain	{"dc"},
	MayContain	{"dNSProperty",
			"dNSTombstoned",
			"dnsRecord"},
	ASN1ObjID	{1 2 840 113556 1 5 86}
}

-- Object class definition for Dns-Zone
"dnsZone" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"dc"},
	MustContain	{"dc"},
	MayContain	{"dNSProperty",
			"dnsAllowDynamic",
			"dnsAllowXFR",
			"dnsNotifySecondaries",
			"dnsSecureSecondaries",
			"managedBy"},
	ASN1ObjID	{1 2 840 113556 1 5 85}
}

-- Object class definition for document
"document" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"cn",
			"description",
			"documentAuthor",
			"documentIdentifier",
			"documentLocation",
			"documentPublisher",
			"documentTitle",
			"documentVersion",
			"l",
			"o",
			"ou",
			"See Also"},
	ASN1ObjID	{0 9 2342 19200300 100 4 6}
}

-- Object class definition for documentSeries
"documentSeries" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"l",
			"o",
			"ou",
			"See Also",
			"Telephone Number"},
	ASN1ObjID	{0 9 2342 19200300 100 4 9}
}

-- Object class definition for Domain
"domain" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	ASN1ObjID	{0 9 2342 19200300 100 4 13}
}

-- Object class definition for domainRelatedObject
"domainRelatedObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"associatedDomain"},
	ASN1ObjID	{0 9 2342 19200300 100 4 17}
}

-- Object class definition for DS-UI-Settings
"dSUISettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"dSUIAdminMaximum",
			"dSUIAdminNotification",
			"dSUIShellMaximum",
			"msDS-FilterContainers",
			"msDS-Non-Security-Group-Extra-Cl",
			"msDS-Security-Group-Extra-Classe"},
	ASN1ObjID	{1 2 840 113556 1 5 183}
}

-- Object class definition for DUAConfigProfile
"DUAConfigProfile" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"attributeMap",
			"authenticationMethod",
			"bindTimeLimit",
			"credentialLevel",
			"defaultSearchBase",
			"defaultSearchScope",
			"defaultServerList",
			"dereferenceAliases",
			"followReferrals",
			"objectclassMap",
			"preferredServerList",
			"profileTTL",
			"searchTimeLimit",
			"serviceAuthenticationMethod",
			"serviceCredentialLevel",
			"serviceSearchDescriptor"},
	ASN1ObjID	{1 3 6 1 4 1 11 1 3 1 2 5}
}

-- Object class definition for Dynamic-Object
"dynamicObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"entryTTL",
			"msDS-Entry-Time-To-Die"},
	ASN1ObjID	{1 3 6 1 4 1 1466 101 119 2}
}

-- Object class definition for File-Link-Tracking
"fileLinkTracking" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 52}
}

-- Object class definition for File-Link-Tracking-Entry
"fileLinkTrackingEntry" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 59}
}

-- Object class definition for Foreign-Security-Principal
"foreignSecurityPrincipal" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"objectSid"},
	MayContain	{"foreignIdentifier"},
	ASN1ObjID	{1 2 840 113556 1 5 76}
}

-- Object class definition for FT-Dfs
"fTDfs" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"pKT",
			"pKTGuid",
			"remoteServerName"},
	MayContain	{"keywords",
			"managedBy",
			"uNCName"},
	ASN1ObjID	{1 2 840 113556 1 5 43}
}

-- Object class definition for Group
"Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS},
	MayContain	{"accountNameHistory",
			"adminCount",
			"altSecurityIdentities",
			"controlAccessRights",
			"description",
			"desktopProfile",
			"garbageCollPeriod",
			"gidNumber",
			"groupAttributes",
			"groupMembershipSAM",
			"groupType",
			"info",
			"labeledURI",
			"legacyExchangeDN",
			"Internet EMail Address",
			"managedBy",
			"member",
			"memberUid",
			"msDS-AzLDAPQuery",
			"msDS-KeyVersionNumber",
			"msDS-NonMembers",
			"msExchAssistantName",
			"msExchLabeledURI",
			"nTGroupMembers",
			"nTSecurityDescriptor",
			"nonSecurityMember",
			"objectSid",
			"operatorCount",
			"primaryGroupToken",
			"rid",
			"sAMAccountName",
			"sAMAccountType",
			"sIDHistory",
			"secretary",
			"securityIdentifier",
			"showInAddressBook",
			"supplementalCredentials",
			"Telephone Number",
			"textEncodedORAddress",
			"tokenGroups",
			"tokenGroupsGlobalAndUniversal",
			"tokenGroupsNoGCAcceptable",
			"unixUserPassword",
			"userCert",
			"userCertificate",
			"userSMIMECertificate"},
	ASN1ObjID	{2 5 6 17}
}

-- Object class definition for Group-Of-Names
"Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS},
	MayContain	{"businessCategory",
			"member",
			"o",
			"ou",
			"owner",
			"See Also"},
	ASN1ObjID	{2 5 6 17}
}

-- Object class definition for groupOfUniqueNames
"Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS},
	MayContain	{"businessCategory",
			"description",
			"o",
			"ou",
			"owner",
			"See Also",
			"uniqueMember"},
	ASN1ObjID	{2 5 6 17}
}

-- Object class definition for Infrastructure-Update
"infrastructureUpdate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"dNReferenceUpdate"},
	ASN1ObjID	{1 2 840 113556 1 5 175}
}

-- Object class definition for Intellimirror-Group
"intellimirrorGroup" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 152}
}

-- Object class definition for Inter-Site-Transport
"interSiteTransport" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"transportAddressAttribute",
			"transportDLLName"},
	MayContain	{"options",
			"replInterval"},
	ASN1ObjID	{1 2 840 113556 1 5 141}
}

-- Object class definition for Inter-Site-Transport-Container
"interSiteTransportContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 140}
}

-- Object class definition for Ipsec-Base
"ipsecBase" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"ipsecData",
			"ipsecDataType",
			"ipsecID",
			"ipsecName",
			"ipsecOwnersReference"},
	ASN1ObjID	{1 2 840 113556 1 5 7000 56}
}

-- Object class definition for Leaf
"leaf" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 20}
}

-- Object class definition for Locality
"Locality" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"l",
			"searchGuide",
			"See Also",
			"S",
			"SA"},
	ASN1ObjID	{2 5 6 3}
}

-- Object class definition for Lost-And-Found
"lostAndFound" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"moveTreeState"},
	ASN1ObjID	{1 2 840 113556 1 5 139}
}

-- Object class definition for Meeting
"meeting" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"meetingName"},
	MayContain	{"meetingAdvertiseScope",
			"meetingApplication",
			"meetingBandwidth",
			"meetingBlob",
			"meetingContactInfo",
			"meetingDescription",
			"meetingEndTime",
			"meetingID",
			"meetingIP",
			"meetingIsEncrypted",
			"meetingKeyword",
			"meetingLanguage",
			"meetingLocation",
			"meetingMaxParticipants",
			"meetingOriginator",
			"meetingOwner",
			"meetingProtocol",
			"meetingRating",
			"meetingRecurrence",
			"meetingScope",
			"meetingStartTime",
			"meetingType",
			"meetingURL"},
	ASN1ObjID	{1 2 840 113556 1 5 104}
}

-- Object class definition for This class represents an 802.11 wireless network group policy object.  This class contains identifiers and configuration data relevant to an 802.11 wireless network.
"ms-net-ieee-80211-GroupPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"ms-net-ieee-80211-GP-PolicyData",
			"ms-net-ieee-80211-GP-PolicyGUID",
			"ms-net-ieee-80211-GP-PolicyReser"},
	ASN1ObjID	{1 2 840 113556 1 5 251}
}

-- Object class definition for This class represents an 802.3 wired network group policy object.  This class contains identifiers and configuration data relevant to an 802.3 wired network.
"ms-net-ieee-8023-GroupPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"ms-net-ieee-8023-GP-PolicyData",
			"ms-net-ieee-8023-GP-PolicyGUID",
			"ms-net-ieee-8023-GP-PolicyReserv"},
	ASN1ObjID	{1 2 840 113556 1 5 252}
}

-- Object class definition for MS-SQL-OLAPCube
"mS-SQL-OLAPCube" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-Contact",
			"mS-SQL-Description",
			"mS-SQL-InformationURL",
			"mS-SQL-Keywords",
			"mS-SQL-LastUpdatedDate",
			"mS-SQL-Name",
			"mS-SQL-PublicationURL",
			"mS-SQL-Size",
			"mS-SQL-Status"},
	ASN1ObjID	{1 2 840 113556 1 5 190}
}

-- Object class definition for MS-SQL-OLAPDatabase
"mS-SQL-OLAPDatabase" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-Applications",
			"mS-SQL-ConnectionURL",
			"mS-SQL-Contact",
			"mS-SQL-Description",
			"mS-SQL-InformationURL",
			"mS-SQL-Keywords",
			"mS-SQL-LastBackupDate",
			"mS-SQL-LastUpdatedDate",
			"mS-SQL-Name",
			"mS-SQL-PublicationURL",
			"mS-SQL-Size",
			"mS-SQL-Status",
			"mS-SQL-Type"},
	ASN1ObjID	{1 2 840 113556 1 5 189}
}

-- Object class definition for MS-SQL-SQLDatabase
"mS-SQL-SQLDatabase" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-Alias",
			"mS-SQL-Applications",
			"mS-SQL-Contact",
			"mS-SQL-CreationDate",
			"mS-SQL-Description",
			"mS-SQL-InformationURL",
			"mS-SQL-Keywords",
			"mS-SQL-LastBackupDate",
			"mS-SQL-LastDiagnosticDate",
			"mS-SQL-Name",
			"mS-SQL-Size",
			"mS-SQL-Status"},
	ASN1ObjID	{1 2 840 113556 1 5 188}
}

-- Object class definition for MS-SQL-SQLPublication
"mS-SQL-SQLPublication" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-AllowAnonymousSubscriptio",
			"mS-SQL-AllowImmediateUpdatingSub",
			"mS-SQL-AllowKnownPullSubscriptio",
			"mS-SQL-AllowQueuedUpdatingSubscr",
			"mS-SQL-AllowSnapshotFilesFTPDown",
			"mS-SQL-Database",
			"mS-SQL-Description",
			"mS-SQL-Name",
			"mS-SQL-Publisher",
			"mS-SQL-Status",
			"mS-SQL-ThirdParty",
			"mS-SQL-Type"},
	ASN1ObjID	{1 2 840 113556 1 5 187}
}

-- Object class definition for MS-SQL-SQLRepository
"mS-SQL-SQLRepository" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-Build",
			"mS-SQL-Contact",
			"mS-SQL-Description",
			"mS-SQL-InformationDirectory",
			"mS-SQL-Name",
			"mS-SQL-Status",
			"mS-SQL-Version"},
	ASN1ObjID	{1 2 840 113556 1 5 186}
}

-- Object class definition for ms-COM-Partition
"msCOM-Partition" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msCOM-ObjectId"},
	ASN1ObjID	{1 2 840 113556 1 5 193}
}

-- Object class definition for ms-COM-PartitionSet
"msCOM-PartitionSet" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msCOM-DefaultPartitionLink",
			"msCOM-ObjectId",
			"msCOM-PartitionLink"},
	ASN1ObjID	{1 2 840 113556 1 5 194}
}

-- Object class definition for MS-DS-Az-Admin-Manager
"msDS-AzAdminManager" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"msDS-AzApplicationData",
			"msDS-AzDomainTimeout",
			"msDS-AzGenerateAudits",
			"msDS-AzMajorVersion",
			"msDS-AzMinorVersion",
			"msDS-AzScriptEngineCacheMax",
			"msDS-AzScriptTimeout"},
	ASN1ObjID	{1 2 840 113556 1 5 234}
}

-- Object class definition for MS-DS-Az-Application
"msDS-AzApplication" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"msDS-AzApplicationData",
			"msDS-AzApplicationName",
			"msDS-AzApplicationVersion",
			"msDS-AzClassId",
			"msDS-AzGenerateAudits"},
	ASN1ObjID	{1 2 840 113556 1 5 235}
}

-- Object class definition for MS-DS-Az-Operation
"msDS-AzOperation" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msDS-AzOperationID"},
	MayContain	{"description",
			"msDS-AzApplicationData"},
	ASN1ObjID	{1 2 840 113556 1 5 236}
}

-- Object class definition for MS-DS-Az-Role
"msDS-AzRole" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"msDS-AzApplicationData",
			"msDS-MembersForAzRole",
			"msDS-OperationsForAzRole",
			"msDS-TasksForAzRole"},
	ASN1ObjID	{1 2 840 113556 1 5 239}
}

-- Object class definition for MS-DS-Az-Scope
"msDS-AzScope" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msDS-AzScopeName"},
	MayContain	{"description",
			"msDS-AzApplicationData"},
	ASN1ObjID	{1 2 840 113556 1 5 237}
}

-- Object class definition for MS-DS-Az-Task
"msDS-AzTask" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"msDS-AzApplicationData",
			"msDS-AzBizRule",
			"msDS-AzBizRuleLanguage",
			"msDS-AzLastImportedBizRulePath",
			"msDS-AzTaskIsRoleDefinition",
			"msDS-OperationsForAzTask",
			"msDS-TasksForAzTask"},
	ASN1ObjID	{1 2 840 113556 1 5 238}
}

-- Object class definition for ms-DS-Quota-Container
"msDS-QuotaContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msDS-DefaultQuota",
			"msDS-QuotaEffective",
			"msDS-QuotaUsed",
			"msDS-TombstoneQuotaFactor",
			"msDS-TopQuotaUsage"},
	ASN1ObjID	{1 2 840 113556 1 5 242}
}

-- Object class definition for ms-DS-Quota-Control
"msDS-QuotaControl" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msDS-QuotaAmount",
			"msDS-QuotaTrustee"},
	ASN1ObjID	{1 2 840 113556 1 5 243}
}

-- Object class definition for ms-ieee-80211-Policy
"msieee80211-Policy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msieee80211-Data",
			"msieee80211-DataType",
			"msieee80211-ID"},
	ASN1ObjID	{1 2 840 113556 1 5 240}
}

-- Object class definition for MSMQ-Custom-Recipient
"msMQ-Custom-Recipient" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msMQ-Recipient-FormatName"},
	ASN1ObjID	{1 2 840 113556 1 5 218}
}

-- Object class definition for MSMQ-Group
"msMQ-Group" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"member"},
	ASN1ObjID	{1 2 840 113556 1 5 219}
}

-- Object class definition for MSMQ-Configuration
"mSMQConfiguration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mSMQComputerType",
			"mSMQComputerTypeEx",
			"mSMQDependentClientServices",
			"mSMQDsServices",
			"mSMQEncryptKey",
			"mSMQForeign",
			"mSMQInRoutingServers",
			"mSMQJournalQuota",
			"mSMQOSType",
			"mSMQOutRoutingServers",
			"mSMQOwnerID",
			"mSMQQuota",
			"mSMQRoutingServices",
			"mSMQServiceType",
			"mSMQSignKey",
			"mSMQSites"},
	ASN1ObjID	{1 2 840 113556 1 5 162}
}

-- Object class definition for MSMQ-Enterprise-Settings
"mSMQEnterpriseSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mSMQCSPName",
			"mSMQInterval1",
			"mSMQInterval2",
			"mSMQLongLived",
			"mSMQNameStyle",
			"mSMQVersion"},
	ASN1ObjID	{1 2 840 113556 1 5 163}
}

-- Object class definition for MSMQ-Migrated-User
"mSMQMigratedUser" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mSMQDigests",
			"mSMQDigestsMig",
			"mSMQSignCertificates",
			"mSMQSignCertificatesMig",
			"mSMQUserSid",
			"objectSid"},
	ASN1ObjID	{1 2 840 113556 1 5 179}
}

-- Object class definition for MSMQ-Queue
"mSMQQueue" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"MSMQ-MulticastAddress",
			"MSMQ-SecuredSource",
			"mSMQAuthenticate",
			"mSMQBasePriority",
			"mSMQJournal",
			"mSMQLabel",
			"mSMQLabelEx",
			"mSMQOwnerID",
			"mSMQPrivacyLevel",
			"mSMQQueueJournalQuota",
			"mSMQQueueNameExt",
			"mSMQQueueQuota",
			"mSMQQueueType",
			"mSMQTransactional"},
	ASN1ObjID	{1 2 840 113556 1 5 161}
}

-- Object class definition for MSMQ-Settings
"mSMQSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mSMQDependentClientService",
			"mSMQDsService",
			"mSMQMigrated",
			"mSMQNt4Flags",
			"mSMQOwnerID",
			"mSMQQMID",
			"mSMQRoutingService",
			"mSMQServices",
			"mSMQSiteName",
			"mSMQSiteNameEx"},
	ASN1ObjID	{1 2 840 113556 1 5 165}
}

-- Object class definition for MSMQ-Site-Link
"mSMQSiteLink" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"mSMQCost",
			"mSMQSite1",
			"mSMQSite2"},
	MayContain	{"mSMQSiteGates",
			"mSMQSiteGatesMig"},
	ASN1ObjID	{1 2 840 113556 1 5 164}
}

-- Object class definition for ms-PKI-Enterprise-Oid
"msPKI-Enterprise-Oid" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msPKI-Cert-Template-OID",
			"msPKI-OID-Attribute",
			"msPKI-OID-CPS",
			"msPKI-OID-User-Notice",
			"msPKI-OIDLocalizedName"},
	ASN1ObjID	{1 2 840 113556 1 5 196}
}

-- Object class definition for ms-PKI-Private-Key-Recovery-Agent
"msPKI-PrivateKeyRecoveryAgent" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"userCertificate"},
	ASN1ObjID	{1 2 840 113556 1 5 223}
}

-- Object class definition for msTAPI-RtConference
"msTAPI-RtConference" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"msTAPI-uid"},
	MustContain	{"msTAPI-uid"},
	MayContain	{"msTAPI-ConferenceBlob",
			"msTAPI-ProtocolId"},
	ASN1ObjID	{1 2 840 113556 1 5 221}
}

-- Object class definition for msTAPI-RtPerson
"msTAPI-RtPerson" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msTAPI-IpAddress",
			"msTAPI-uid"},
	ASN1ObjID	{1 2 840 113556 1 5 222}
}

-- Object class definition for ms-WMI-ObjectEncoding
"msWMI-ObjectEncoding" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-Class",
			"msWMI-Genus",
			"msWMI-ID",
			"msWMI-Parm1",
			"msWMI-Parm2",
			"msWMI-Parm3",
			"msWMI-Parm4",
			"msWMI-ScopeGuid",
			"msWMI-TargetObject",
			"msWMI-intFlags1",
			"msWMI-intFlags2",
			"msWMI-intFlags3",
			"msWMI-intFlags4"},
	ASN1ObjID	{1 2 840 113556 1 5 217}
}

-- Object class definition for ms-WMI-PolicyTemplate
"msWMI-PolicyTemplate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-ID",
			"msWMI-Name",
			"msWMI-NormalizedClass",
			"msWMI-TargetClass",
			"msWMI-TargetNameSpace",
			"msWMI-TargetPath"},
	MayContain	{"msWMI-Author",
			"msWMI-ChangeDate",
			"msWMI-CreationDate",
			"msWMI-Parm1",
			"msWMI-Parm2",
			"msWMI-Parm3",
			"msWMI-Parm4",
			"msWMI-SourceOrganization",
			"msWMI-TargetType",
			"msWMI-intFlags1",
			"msWMI-intFlags2",
			"msWMI-intFlags3",
			"msWMI-intFlags4"},
	ASN1ObjID	{1 2 840 113556 1 5 200}
}

-- Object class definition for ms-WMI-PolicyType
"msWMI-PolicyType" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-ID",
			"msWMI-TargetObject"},
	MayContain	{"msWMI-Author",
			"msWMI-ChangeDate",
			"msWMI-CreationDate",
			"msWMI-Parm1",
			"msWMI-Parm2",
			"msWMI-Parm3",
			"msWMI-Parm4",
			"msWMI-SourceOrganization",
			"msWMI-intFlags1",
			"msWMI-intFlags2",
			"msWMI-intFlags3",
			"msWMI-intFlags4"},
	ASN1ObjID	{1 2 840 113556 1 5 211}
}

-- Object class definition for ms-WMI-RangeParam
"msWMI-RangeParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-PropertyName",
			"msWMI-TargetClass",
			"msWMI-TargetType"},
	ASN1ObjID	{1 2 840 113556 1 5 203}
}

-- Object class definition for ms-WMI-Rule
"msWMI-Rule" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-Query",
			"msWMI-QueryLanguage",
			"msWMI-TargetNameSpace"},
	ASN1ObjID	{1 2 840 113556 1 5 214}
}

-- Object class definition for ms-WMI-ShadowObject
"msWMI-ShadowObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-TargetObject"},
	ASN1ObjID	{1 2 840 113556 1 5 212}
}

-- Object class definition for ms-WMI-Som
"msWMI-Som" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-ID",
			"msWMI-Name"},
	MayContain	{"msWMI-Author",
			"msWMI-ChangeDate",
			"msWMI-CreationDate",
			"msWMI-Parm1",
			"msWMI-Parm2",
			"msWMI-Parm3",
			"msWMI-Parm4",
			"msWMI-SourceOrganization",
			"msWMI-intFlags1",
			"msWMI-intFlags2",
			"msWMI-intFlags3",
			"msWMI-intFlags4"},
	ASN1ObjID	{1 2 840 113556 1 5 213}
}

-- Object class definition for ms-WMI-WMIGPO
"msWMI-WMIGPO" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-TargetClass"},
	MayContain	{"msWMI-Parm1",
			"msWMI-Parm2",
			"msWMI-Parm3",
			"msWMI-Parm4",
			"msWMI-intFlags1",
			"msWMI-intFlags2",
			"msWMI-intFlags3",
			"msWMI-intFlags4"},
	ASN1ObjID	{1 2 840 113556 1 5 215}
}

-- Object class definition for Associates a NIS domain with a naming context
"nisDomainObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"dc"},
	MustContain	{"dc"},
	MayContain	{"nisDomain"},
	ASN1ObjID	{1 3 6 1 1 1 2 15}
}

-- Object class definition for An object with a public and secret key
"nisKeyObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"nisPublicKey",
			"nisSecretKey"},
	ASN1ObjID	{1 3 6 1 1 1 2 14}
}

-- Object class definition for NTDS-Service
"nTDSService" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"dSHeuristics",
			"garbageCollPeriod",
			"msDS-Other-Settings",
			"replTopologyStayOfExecution",
			"sPNMappings",
			"tombstoneLifetime"},
	ASN1ObjID	{1 2 840 113556 1 5 72}
}

-- Object class definition for NTFRS-Member
"nTFRSMember" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"fRSControlDataCreation",
			"fRSControlInboundBacklog",
			"fRSControlOutboundBacklog",
			"fRSExtensions",
			"fRSFlags",
			"fRSPartnerAuthLevel",
			"fRSRootSecurity",
			"fRSServiceCommand",
			"fRSUpdateTimeout",
			"frsComputerReference",
			"serverReference"},
	ASN1ObjID	{1 2 840 113556 1 5 153}
}

-- Object class definition for NTFRS-Replica-Set
"nTFRSReplicaSet" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"fRSDSPoll",
			"fRSDirectoryFilter",
			"fRSExtensions",
			"fRSFileFilter",
			"fRSFlags",
			"fRSLevelLimit",
			"fRSPartnerAuthLevel",
			"fRSPrimaryMember",
			"fRSReplicaSetGUID",
			"fRSReplicaSetType",
			"fRSRootSecurity",
			"fRSServiceCommand",
			"fRSVersionGUID",
			"managedBy",
			"msFRS-Hub-Member",
			"msFRS-Topology-Pref",
			"schedule"},
	ASN1ObjID	{1 2 840 113556 1 5 102}
}

-- Object class definition for NTFRS-Subscriber
"nTFRSSubscriber" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"fRSRootPath",
			"fRSStagingPath"},
	MayContain	{"fRSExtensions",
			"fRSFaultCondition",
			"fRSFlags",
			"fRSMemberReference",
			"fRSServiceCommand",
			"fRSServiceCommandStatus",
			"fRSTimeLastCommand",
			"fRSTimeLastConfigChange",
			"fRSUpdateTimeout",
			"schedule"},
	ASN1ObjID	{1 2 840 113556 1 5 155}
}

-- Object class definition for NTFRS-Subscriptions
"nTFRSSubscriptions" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"fRSExtensions",
			"fRSVersion",
			"fRSWorkingPath"},
	ASN1ObjID	{1 2 840 113556 1 5 154}
}

-- Object class definition for Abstraction of an Open Network Computing (ONC) Remote Procedure Call (RPC) binding
"oncRpc" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"oncRpcNumber"},
	MayContain	{"description"},
	ASN1ObjID	{1 3 6 1 1 1 2 5}
}

-- Object class definition for Organization
"Organization" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top",
			"ndsLoginProperties"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"auditingPolicy",
			"builtinCreationTime",
			"builtinModifiedCount",
			"businessCategory",
			"cACertificate",
			"controlAccessRights",
			"creationTime",
			"defaultLocalPolicyObject",
			"description",
			"desktopProfile",
			"destinationIndicator",
			"domainPolicyObject",
			"domainReplica",
			"eFSPolicy",
			"Facsimile Telephone Number",
			"forceLogoff",
			"gPLink",
			"gPOptions",
			"internationalISDNNumber",
			"l",
			"lSACreationTime",
			"lSAModifiedCount",
			"lockOutObservationWindow",
			"lockoutDuration",
			"lockoutThreshold",
			"managedBy",
			"maxPwdAge",
			"minPwdAge",
			"minPwdLength",
			"modifiedCount",
			"modifiedCountAtLastProm",
			"ms-DS-MachineAccountQuota",
			"msDS-AllUsersTrustQuota",
			"msDS-AllowedDNSSuffixes",
			"msDS-Behavior-Version",
			"msDS-LogonTimeSyncInterval",
			"msDS-PerUserTrustQuota",
			"msDS-PerUserTrustTombstonesQuota",
			"nETBIOSName",
			"nTMixedDomain",
			"nTSecurityDescriptor",
			"nextRid",
			"nisDomain",
			"oEMInformation",
			"objectSid",
			"pekKeyChangeInterval",
			"pekList",
			"Physical Delivery Office Name",
			"Postal Office Box",
			"Postal Address",
			"Postal Code",
			"preferredDeliveryMethod",
			"Private Key",
			"pwdHistoryLength",
			"pwdProperties",
			"rIDManagerReference",
			"registeredAddress",
			"replicaSource",
			"searchGuide",
			"See Also",
			"serverRole",
			"serverState",
			"S",
			"SA",
			"Telephone Number",
			"teletexTerminalIdentifier",
			"telexNumber",
			"treeName",
			"trustPosixOffset",
			"uASCompat",
			"x121Address"},
	ASN1ObjID	{2 5 6 4}
}

-- Object class definition for Organizational-Role
"Organizational Role" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"destinationIndicator",
			"Facsimile Telephone Number",
			"internationalISDNNumber",
			"l",
			"ou",
			"Physical Delivery Office Name",
			"Postal Office Box",
			"Postal Address",
			"Postal Code",
			"preferredDeliveryMethod",
			"registeredAddress",
			"Role Occupant",
			"See Also",
			"S",
			"SA",
			"Telephone Number",
			"teletexTerminalIdentifier",
			"telexNumber",
			"x121Address"},
	ASN1ObjID	{2 5 6 8}
}

-- Object class definition for Organizational-Unit
"Organizational Unit" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top",
			"ndsLoginProperties"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"businessCategory",
			"c",
			"co",
			"countryCode",
			"defaultGroup",
			"desktopProfile",
			"destinationIndicator",
			"Facsimile Telephone Number",
			"gPLink",
			"gPOptions",
			"internationalISDNNumber",
			"l",
			"managedBy",
			"msCOM-UserPartitionSetLink",
			"Physical Delivery Office Name",
			"Postal Office Box",
			"Postal Address",
			"Postal Code",
			"preferredDeliveryMethod",
			"registeredAddress",
			"searchGuide",
			"See Also",
			"S",
			"SA",
			"Telephone Number",
			"teletexTerminalIdentifier",
			"telexNumber",
			"thumbnailLogo",
			"uPNSuffixes",
			"x121Address"},
	ASN1ObjID	{2 5 6 5}
}

-- Object class definition for Package-Registration
"packageRegistration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"cOMClassID",
			"cOMInterfaceID",
			"cOMProgID",
			"cOMTypelibId",
			"canUpgradeScript",
			"categories",
			"fileExtPriority",
			"iconPath",
			"installUiLevel",
			"lastUpdateSequence",
			"localeID",
			"machineArchitecture",
			"managedBy",
			"msiFileList",
			"msiScript",
			"msiScriptName",
			"msiScriptPath",
			"msiScriptSize",
			"packageFlags",
			"packageName",
			"packageType",
			"productCode",
			"setupCommand",
			"upgradeProductCode",
			"vendor",
			"versionNumberHi",
			"versionNumberLo"},
	ASN1ObjID	{1 2 840 113556 1 5 49}
}

-- Object class definition for Person
"Person" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Top",
			"ndsLoginProperties"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"attributeCertificateAttribute",
			"See Also",
			"Serial Number",
			"Telephone Number"},
	ASN1ObjID	{2 5 6 6}
}

-- Object class definition for PKI-Certificate-Template
"pKICertificateTemplate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"displayName",
			"flags",
			"msPKI-Cert-Template-OID",
			"msPKI-Certificate-Application-Po",
			"msPKI-Certificate-Name-Flag",
			"msPKI-Certificate-Policy",
			"msPKI-Enrollment-Flag",
			"msPKI-Minimal-Key-Size",
			"msPKI-Private-Key-Flag",
			"msPKI-RA-Application-Policies",
			"msPKI-RA-Policies",
			"msPKI-RA-Signature",
			"msPKI-Supersede-Templates",
			"msPKI-Template-Minor-Revision",
			"msPKI-Template-Schema-Version",
			"pKICriticalExtensions",
			"pKIDefaultCSPs",
			"pKIDefaultKeySpec",
			"pKIEnrollmentAccess",
			"pKIExpirationPeriod",
			"pKIExtendedKeyUsage",
			"pKIKeyUsage",
			"pKIMaxIssuingDepth",
			"pKIOverlapPeriod"},
	ASN1ObjID	{1 2 840 113556 1 5 177}
}

-- Object class definition for PKI-Enrollment-Service
"pKIEnrollmentService" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"cACertificate",
			"cACertificateDN",
			"certificateTemplates",
			"dNSHostName",
			"enrollmentProviders",
			"signatureAlgorithms"},
	ASN1ObjID	{1 2 840 113556 1 5 178}
}

-- Object class definition for Privilege
"privilege" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"privilegeAttributes",
			"privilegeDisplayName",
			"privilegeHolder",
			"privilegeValue"},
	ASN1ObjID	{2 16 840 1 113719 1 513 1 4}
}

-- Object class definition for Query-Policy
"queryPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"lDAPAdminLimits",
			"lDAPIPDenyList"},
	ASN1ObjID	{1 2 840 113556 1 5 106}
}

-- Object class definition for Remote-Mail-Recipient
"remoteMailRecipient" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"garbageCollPeriod",
			"info",
			"labeledURI",
			"legacyExchangeDN",
			"managedBy",
			"msExchAssistantName",
			"msExchLabeledURI",
			"remoteSource",
			"remoteSourceType",
			"secretary",
			"showInAddressBook",
			"Telephone Number",
			"textEncodedORAddress",
			"userCert",
			"userCertificate",
			"userSMIMECertificate"},
	ASN1ObjID	{1 2 840 113556 1 5 24}
}

-- Object class definition for RID-Manager
"rIDManager" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"rIDAvailablePool"},
	MayContain	{"rIDBlockSize"},
	ASN1ObjID	{1 2 840 113556 1 5 83}
}

-- Object class definition for RID-Set
"rIDSet" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"rIDAllocationPool",
			"rIDUsedPool"},
	MayContain	{"rIDNextRID",
			"rIDPreviousAllocationPool"},
	ASN1ObjID	{1 2 840 113556 1 5 129}
}

-- Object class definition for room
"room" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"description",
			"location",
			"roomNumber",
			"See Also",
			"Telephone Number"},
	ASN1ObjID	{0 9 2342 19200300 100 4 7}
}

-- Object class definition for RRAS-Administration-Dictionary
"rRASAdministrationDictionary" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msRRASVendorAttributeEntry"},
	ASN1ObjID	{1 2 840 113556 1 5 156}
}

-- Object class definition for Sam-Domain
"samDomain" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"auditingPolicy",
			"builtinCreationTime",
			"builtinModifiedCount",
			"cACertificate",
			"controlAccessRights",
			"creationTime",
			"defaultLocalPolicyObject",
			"description",
			"desktopProfile",
			"domainPolicyObject",
			"domainReplica",
			"eFSPolicy",
			"forceLogoff",
			"gPLink",
			"gPOptions",
			"lSACreationTime",
			"lSAModifiedCount",
			"lockOutObservationWindow",
			"lockoutDuration",
			"lockoutThreshold",
			"maxPwdAge",
			"minPwdAge",
			"minPwdLength",
			"modifiedCount",
			"modifiedCountAtLastProm",
			"ms-DS-MachineAccountQuota",
			"msDS-AllUsersTrustQuota",
			"msDS-LogonTimeSyncInterval",
			"msDS-PerUserTrustQuota",
			"msDS-PerUserTrustTombstonesQuota",
			"nETBIOSName",
			"nTMixedDomain",
			"nTSecurityDescriptor",
			"nextRid",
			"oEMInformation",
			"objectSid",
			"pekKeyChangeInterval",
			"pekList",
			"Private Key",
			"pwdHistoryLength",
			"pwdProperties",
			"rIDManagerReference",
			"replicaSource",
			"serverRole",
			"serverState",
			"treeName",
			"trustPosixOffset",
			"uASCompat"},
	ASN1ObjID	{1 2 840 113556 1 5 3}
}

-- Object class definition for Sam-Domain-Base
"samDomainBase" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"creationTime",
			"domainReplica",
			"forceLogoff",
			"lockOutObservationWindow",
			"lockoutDuration",
			"lockoutThreshold",
			"maxPwdAge",
			"minPwdAge",
			"minPwdLength",
			"modifiedCount",
			"modifiedCountAtLastProm",
			"nTSecurityDescriptor",
			"nextRid",
			"oEMInformation",
			"objectSid",
			"pwdHistoryLength",
			"pwdProperties",
			"serverRole",
			"serverState",
			"uASCompat"},
	ASN1ObjID	{1 2 840 113556 1 5 2}
}

-- Object class definition for Security-Object
"securityObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 1}
}

-- Object class definition for Security-Principal
"securityPrincipal" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"objectSid",
			"sAMAccountName"},
	MayContain	{"accountNameHistory",
			"altSecurityIdentities",
			"msDS-KeyVersionNumber",
			"nTSecurityDescriptor",
			"rid",
			"sAMAccountType",
			"sIDHistory",
			"securityIdentifier",
			"supplementalCredentials",
			"tokenGroups",
			"tokenGroupsGlobalAndUniversal",
			"tokenGroupsNoGCAcceptable"},
	ASN1ObjID	{1 2 840 113556 1 5 6}
}

-- Object class definition for Server
"mSDS:Server" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"bridgeheadTransportList",
			"dNSHostName",
			"mailAddress",
			"managedBy",
			"Serial Number",
			"serverReference"},
	ASN1ObjID	{1 2 840 113556 1 5 17}
}

-- Object class definition for Servers-Container
"serversContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 7000 48}
}

-- Object class definition for simpleSecurityObject
"simpleSecurityObject" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top",
			"ndsLoginProperties"},
	Flags		{DS_AUXILIARY_CLASS},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{0 9 2342 19200300 100 4 19}
}

-- Object class definition for Site
"site" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"gPLink",
			"gPOptions",
			"location",
			"mSMQInterval1",
			"mSMQInterval2",
			"mSMQNt4Stub",
			"mSMQSiteForeign",
			"mSMQSiteID",
			"managedBy",
			"notificationList"},
	ASN1ObjID	{1 2 840 113556 1 5 31}
}

-- Object class definition for Site-Link
"siteLink" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"siteList"},
	MayContain	{"cost",
			"options",
			"replInterval",
			"schedule"},
	ASN1ObjID	{1 2 840 113556 1 5 147}
}

-- Object class definition for Site-Link-Bridge
"siteLinkBridge" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"siteLinkList"},
	ASN1ObjID	{1 2 840 113556 1 5 148}
}

-- Object class definition for Sites-Container
"sitesContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 107}
}

-- Object class definition for Subnet
"subnet" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"location",
			"physicalLocationObject",
			"siteObject"},
	ASN1ObjID	{1 2 840 113556 1 5 96}
}

-- Object class definition for Subnet-Container
"subnetContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 95}
}

-- Object class definition for Type-Library
"typeLibrary" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"cOMClassID",
			"cOMInterfaceID",
			"cOMUniqueLIBID"},
	ASN1ObjID	{1 2 840 113556 1 5 53}
}

-- Object class definition for xad-Flags
"xadFlags" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"xad-Domain-Flag"},
	ASN1ObjID	{1 2 840 113556 1 5 321}
}

-- Object class definition for Address-Template
"addressTemplate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"displayTemplate"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"displayName"},
	MayContain	{"addressSyntax",
			"addressType",
			"perMsgDialogDisplayTable",
			"perRecipDialogDisplayTable",
			"proxyGenerationEnabled"},
	ASN1ObjID	{1 2 840 113556 1 3 58}
}

-- Object class definition for Application-Version
"applicationVersion" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"appSchemaVersion",
			"keywords",
			"managedBy",
			"owner",
			"vendor",
			"versionNumber",
			"versionNumberHi",
			"versionNumberLo"},
	ASN1ObjID	{1 2 840 113556 1 5 216}
}

-- Object class definition for Category-Registration
"categoryRegistration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"categoryId",
			"localeID",
			"localizedDescription",
			"managedBy"},
	ASN1ObjID	{1 2 840 113556 1 5 74}
}

-- Object class definition for Class-Registration
"classRegistration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"cOMCLSID",
			"cOMInterfaceID",
			"cOMOtherProgId",
			"cOMProgID",
			"cOMTreatAsClassId",
			"implementedCategories",
			"managedBy",
			"requiredCategories"},
	ASN1ObjID	{1 2 840 113556 1 5 10}
}

-- Object class definition for Connection-Point
"connectionPoint" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"keywords",
			"managedBy",
			"msDS-Settings"},
	ASN1ObjID	{1 2 840 113556 1 5 14}
}

-- Object class definition for Domain-DNS
"domainDNS" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"auditingPolicy",
			"builtinCreationTime",
			"builtinModifiedCount",
			"cACertificate",
			"controlAccessRights",
			"creationTime",
			"defaultLocalPolicyObject",
			"description",
			"desktopProfile",
			"domainPolicyObject",
			"domainReplica",
			"eFSPolicy",
			"forceLogoff",
			"gPLink",
			"gPOptions",
			"lSACreationTime",
			"lSAModifiedCount",
			"lockOutObservationWindow",
			"lockoutDuration",
			"lockoutThreshold",
			"managedBy",
			"maxPwdAge",
			"minPwdAge",
			"minPwdLength",
			"modifiedCount",
			"modifiedCountAtLastProm",
			"ms-DS-MachineAccountQuota",
			"msDS-AllUsersTrustQuota",
			"msDS-AllowedDNSSuffixes",
			"msDS-Behavior-Version",
			"msDS-LogonTimeSyncInterval",
			"msDS-PerUserTrustQuota",
			"msDS-PerUserTrustTombstonesQuota",
			"nETBIOSName",
			"nTMixedDomain",
			"nTSecurityDescriptor",
			"nextRid",
			"nisDomain",
			"oEMInformation",
			"objectSid",
			"pekKeyChangeInterval",
			"pekList",
			"Private Key",
			"pwdHistoryLength",
			"pwdProperties",
			"rIDManagerReference",
			"replicaSource",
			"serverRole",
			"serverState",
			"treeName",
			"trustPosixOffset",
			"uASCompat"},
	ASN1ObjID	{1 2 840 113556 1 5 67}
}

-- Object class definition for Domain-Policy
"domainPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"authenticationOptions",
			"defaultLocalPolicyObject",
			"domainCAs",
			"domainPolicyReference",
			"domainWidePolicy",
			"eFSPolicy",
			"forceLogoff",
			"ipsecPolicyReference",
			"lockOutObservationWindow",
			"lockoutDuration",
			"lockoutThreshold",
			"managedBy",
			"maxPwdAge",
			"maxRenewAge",
			"maxTicketAge",
			"minPwdAge",
			"minPwdLength",
			"minTicketAge",
			"proxyLifetime",
			"publicKeyPolicy",
			"pwdHistoryLength",
			"pwdProperties",
			"qualityOfService"},
	ASN1ObjID	{1 2 840 113556 1 5 18}
}

-- Object class definition for DSA
"dSA" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"applicationEntity"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"knowledgeInformation"},
	ASN1ObjID	{2 5 6 13}
}

-- Object class definition for friendlyCountry
"friendlyCountry" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Country"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"co"},
	ASN1ObjID	{0 9 2342 19200300 100 4 18}
}

-- Object class definition for Group-Policy-Container
"groupPolicyContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"container"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"flags",
			"gPCFileSysPath",
			"gPCFunctionalityVersion",
			"gPCMachineExtensionNames",
			"gPCUserExtensionNames",
			"gPCWQLFilter",
			"versionNumber"},
	ASN1ObjID	{1 2 840 113556 1 5 157}
}

-- Object class definition for Ipsec-Filter
"ipsecFilter" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"ipsecBase"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 118}
}

-- Object class definition for Ipsec-ISAKMP-Policy
"ipsecISAKMPPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"ipsecBase"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 120}
}

-- Object class definition for Ipsec-Negotiation-Policy
"ipsecNegotiationPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"ipsecBase"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"iPSECNegotiationPolicyAction",
			"iPSECNegotiationPolicyType"},
	ASN1ObjID	{1 2 840 113556 1 5 119}
}

-- Object class definition for Ipsec-NFA
"ipsecNFA" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"ipsecBase"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"ipsecFilterReference",
			"ipsecNegotiationPolicyReference"},
	ASN1ObjID	{1 2 840 113556 1 5 121}
}

-- Object class definition for Ipsec-Policy
"ipsecPolicy" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"ipsecBase"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"ipsecISAKMPReference",
			"ipsecNFAReference"},
	ASN1ObjID	{1 2 840 113556 1 5 98}
}

-- Object class definition for Licensing-Site-Settings
"licensingSiteSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSiteSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"siteServer"},
	ASN1ObjID	{1 2 840 113556 1 5 78}
}

-- Object class definition for Link-Track-Object-Move-Table
"linkTrackObjectMoveTable" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"fileLinkTracking"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 91}
}

-- Object class definition for Link-Track-OMT-Entry
"linkTrackOMTEntry" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"birthLocation",
			"currentLocation",
			"oMTGuid",
			"oMTIndxGuid",
			"timeRefresh"},
	ASN1ObjID	{1 2 840 113556 1 5 93}
}

-- Object class definition for Link-Track-Vol-Entry
"linkTrackVolEntry" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"currMachineId",
			"linkTrackSecret",
			"objectCount",
			"seqNotification",
			"timeRefresh",
			"timeVolChange",
			"volTableGUID",
			"volTableIdxGUID"},
	ASN1ObjID	{1 2 840 113556 1 5 92}
}

-- Object class definition for Link-Track-Volume-Table
"linkTrackVolumeTable" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"fileLinkTracking"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 90}
}

-- Object class definition for ms-DS-App-Configuration
"msDS-App-Configuration" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"keywords",
			"managedBy",
			"msDS-ByteArray",
			"msDS-DateTime",
			"msDS-Integer",
			"msDS-ObjectReference",
			"owner"},
	ASN1ObjID	{1 2 840 113556 1 5 220}
}

-- Object class definition for ms-DS-App-Data
"msDS-AppData" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"keywords",
			"managedBy",
			"msDS-ByteArray",
			"msDS-DateTime",
			"msDS-Integer",
			"msDS-ObjectReference",
			"owner"},
	ASN1ObjID	{1 2 840 113556 1 5 241}
}

-- Object class definition for ms-Exch-Configuration-Container
"msExchConfigurationContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"container"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"addressBookRoots",
			"globalAddressList",
			"templateRoots"},
	ASN1ObjID	{1 2 840 113556 1 5 176}
}

-- Object class definition for ms-WMI-IntRangeParam
"msWMI-IntRangeParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-IntDefault"},
	MayContain	{"msWMI-IntMax",
			"msWMI-IntMin"},
	ASN1ObjID	{1 2 840 113556 1 5 205}
}

-- Object class definition for ms-WMI-IntSetParam
"msWMI-IntSetParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-IntDefault"},
	MayContain	{"msWMI-IntValidValues"},
	ASN1ObjID	{1 2 840 113556 1 5 206}
}

-- Object class definition for ms-WMI-MergeablePolicyTemplate
"msWMI-MergeablePolicyTemplate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-PolicyTemplate"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 202}
}

-- Object class definition for ms-WMI-RealRangeParam
"msWMI-RealRangeParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-Int8Default"},
	MayContain	{"msWMI-Int8Max",
			"msWMI-Int8Min"},
	ASN1ObjID	{1 2 840 113556 1 5 209}
}

-- Object class definition for ms-WMI-SimplePolicyTemplate
"msWMI-SimplePolicyTemplate" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-PolicyTemplate"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-TargetObject"},
	ASN1ObjID	{1 2 840 113556 1 5 201}
}

-- Object class definition for ms-WMI-StringSetParam
"msWMI-StringSetParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-StringDefault"},
	MayContain	{"msWMI-StringValidValues"},
	ASN1ObjID	{1 2 840 113556 1 5 210}
}

-- Object class definition for ms-WMI-UintRangeParam
"msWMI-UintRangeParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-IntDefault"},
	MayContain	{"msWMI-IntMax",
			"msWMI-IntMin"},
	ASN1ObjID	{1 2 840 113556 1 5 207}
}

-- Object class definition for ms-WMI-UintSetParam
"msWMI-UintSetParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-IntDefault"},
	MayContain	{"msWMI-IntValidValues"},
	ASN1ObjID	{1 2 840 113556 1 5 208}
}

-- Object class definition for ms-WMI-UnknownRangeParam
"msWMI-UnknownRangeParam" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"msWMI-RangeParam"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"msWMI-NormalizedClass",
			"msWMI-TargetObject"},
	ASN1ObjID	{1 2 840 113556 1 5 204}
}

-- Object class definition for NTDS-Connection
"nTDSConnection" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"enabledConnection",
			"fromServer",
			"options"},
	MayContain	{"generatedConnection",
			"mS-DS-ReplicatesNCReason",
			"schedule",
			"transportType"},
	ASN1ObjID	{1 2 840 113556 1 5 71}
}

-- Object class definition for NTDS-DSA
"nTDSDSA" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"dMDLocation",
			"fRSRootPath",
			"hasMasterNCs",
			"hasPartialReplicaNCs",
			"invocationId",
			"lastBackupRestorationTime",
			"managedBy",
			"msDS-Behavior-Version",
			"msDS-HasDomainNCs",
			"msDS-HasInstantiatedNCs",
			"msDS-ReplicationEpoch",
			"msDS-RetiredReplNCSignatures",
			"msDS-hasMasterNCs",
			"Network Address",
			"options",
			"queryPolicyObject",
			"retiredReplDSASignatures",
			"serverReference"},
	ASN1ObjID	{1 2 840 113556 1 5 7000 47}
}

-- Object class definition for NTDS-Site-Settings
"nTDSSiteSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSiteSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"interSiteTopologyFailover",
			"interSiteTopologyGenerator",
			"interSiteTopologyRenew",
			"managedBy",
			"msDS-Preferred-GC-Site",
			"options",
			"queryPolicyObject",
			"schedule"},
	ASN1ObjID	{1 2 840 113556 1 5 69}
}

-- Object class definition for NTFRS-Settings
"nTFRSSettings" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationSettings"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"fRSExtensions",
			"managedBy"},
	ASN1ObjID	{1 2 840 113556 1 5 89}
}

-- Object class definition for Organizational-Person
"Organizational Person" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Person"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"assistant",
			"c",
			"co",
			"comment",
			"company",
			"countryCode",
			"department",
			"destinationIndicator",
			"division",
			"employeeID",
			"Facsimile Telephone Number",
			"Generational Qualifier",
			"Given Name",
			"homePhone",
			"msds:homePostalAddress",
			"houseIdentifier",
			"initials",
			"internationalISDNNumber",
			"ipPhone",
			"l",
			"Internet EMail Address",
			"manager",
			"mhsORAddress",
			"middleName",
			"mobile",
			"msDS-AllowedToDelegateTo",
			"msExchHouseIdentifier",
			"o",
			"otherFacsimileTelephoneNumber",
			"otherHomePhone",
			"otherIpPhone",
			"otherMailbox",
			"otherMobile",
			"otherPager",
			"otherTelephone",
			"ou",
			"pager",
			"personalTitle",
			"Physical Delivery Office Name",
			"Postal Office Box",
			"Postal Address",
			"Postal Code",
			"preferredDeliveryMethod",
			"primaryInternationalISDNNumber",
			"primaryTelexNumber",
			"registeredAddress",
			"S",
			"SA",
			"streetAddress",
			"teletexTerminalIdentifier",
			"telexNumber",
			"thumbnailLogo",
			"thumbnailPhoto",
			"title",
			"x121Address"},
	ASN1ObjID	{2 5 6 7}
}

-- Object class definition for Physical-Location
"physicalLocation" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Locality"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"managedBy"},
	ASN1ObjID	{1 2 840 113556 1 5 97}
}

-- Object class definition for Residential-Person
"residentialPerson" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Person"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"businessCategory",
			"destinationIndicator",
			"Facsimile Telephone Number",
			"internationalISDNNumber",
			"l",
			"ou",
			"Physical Delivery Office Name",
			"Postal Office Box",
			"Postal Address",
			"Postal Code",
			"preferredDeliveryMethod",
			"registeredAddress",
			"S",
			"SA",
			"teletexTerminalIdentifier",
			"telexNumber",
			"title",
			"x121Address"},
	ASN1ObjID	{2 5 6 10}
}

-- Object class definition for rFC822LocalPart
"rFC822LocalPart" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"domain"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"cn",
			"description",
			"destinationIndicator",
			"Facsimile Telephone Number",
			"internationalISDNNumber",
			"Physical Delivery Office Name",
			"Postal Office Box",
			"Postal Address",
			"Postal Code",
			"preferredDeliveryMethod",
			"registeredAddress",
			"See Also",
			"Surname",
			"SA",
			"Telephone Number",
			"teletexTerminalIdentifier",
			"telexNumber",
			"x121Address"},
	ASN1ObjID	{0 9 2342 19200300 100 4 14}
}

-- Object class definition for Rpc-Container
"rpcContainer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"container"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"nameServiceFlags"},
	ASN1ObjID	{1 2 840 113556 1 5 136}
}

-- Object class definition for Sam-Server
"samServer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"securityObject"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 5}
}

-- Object class definition for Secret
"secret" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"currentValue",
			"lastSetTime",
			"priorSetTime",
			"priorValue"},
	ASN1ObjID	{1 2 840 113556 1 5 28}
}

-- Object class definition for Service-Class
"serviceClass" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"displayName",
			"serviceClassID"},
	MayContain	{"serviceClassInfo"},
	ASN1ObjID	{1 2 840 113556 1 5 29}
}

-- Object class definition for Trusted-Domain
"trustedDomain" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"leaf"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"additionalTrustedServiceNames",
			"domainCrossRef",
			"domainIdentifier",
			"flatName",
			"initialAuthIncoming",
			"initialAuthOutgoing",
			"mS-DS-CreatorSID",
			"msDS-TrustForestTrustInfo",
			"securityIdentifier",
			"trustAttributes",
			"trustAuthIncoming",
			"trustAuthOutgoing",
			"trustDirection",
			"trustPartner",
			"trustPosixOffset",
			"trustType"},
	ASN1ObjID	{1 2 840 113556 1 5 34}
}

-- Object class definition for Com-Connection-Point
"comConnectionPoint" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"marshalledInterface",
			"moniker",
			"monikerDisplayName"},
	ASN1ObjID	{1 2 840 113556 1 5 11}
}

-- Object class definition for Contact
"contact" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Organizational Person"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"garbageCollPeriod",
			"info",
			"labeledURI",
			"legacyExchangeDN",
			"msExchAssistantName",
			"msExchLabeledURI",
			"notes",
			"secretary",
			"showInAddressBook",
			"Telephone Number",
			"textEncodedORAddress",
			"userCert",
			"userCertificate",
			"userSMIMECertificate"},
	ASN1ObjID	{1 2 840 113556 1 5 15}
}

-- Object class definition for Index-Server-Catalog
"indexServerCatalog" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"creator"},
	MayContain	{"friendlyNames",
			"indexedScopes",
			"queryPoint",
			"uNCName"},
	ASN1ObjID	{1 2 840 113556 1 5 130}
}

-- Object class definition for Print-Queue
"printQueue" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"printerName",
			"serverName",
			"shortServerName",
			"uNCName",
			"versionNumber"},
	MayContain	{"assetNumber",
			"bytesPerMinute",
			"defaultPriority",
			"driverName",
			"driverVersion",
			"location",
			"operatingSystem",
			"operatingSystemHotfix",
			"operatingSystemServicePack",
			"operatingSystemVersion",
			"physicalLocationObject",
			"portName",
			"printAttributes",
			"printBinNames",
			"printCollate",
			"printColor",
			"printDuplexSupported",
			"printEndTime",
			"printFormName",
			"printKeepPrintedJobs",
			"printLanguage",
			"printMACAddress",
			"printMaxCopies",
			"printMaxResolutionSupported",
			"printMaxXExtent",
			"printMaxYExtent",
			"printMediaReady",
			"printMediaSupported",
			"printMemory",
			"printMinXExtent",
			"printMinYExtent",
			"printNetworkAddress",
			"printNotify",
			"printNumberUp",
			"printOrientationsSupported",
			"printOwner",
			"printPagesPerMinute",
			"printRate",
			"printRateUnit",
			"printSeparatorFile",
			"printShareName",
			"printSpooling",
			"printStaplingSupported",
			"printStartTime",
			"printStatus",
			"priority"},
	ASN1ObjID	{1 2 840 113556 1 5 23}
}

-- Object class definition for rpc-Entry
"rpcEntry" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 27}
}

-- Object class definition for Service-Connection-Point
"serviceConnectionPoint" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"appSchemaVersion",
			"serviceBindingInformation",
			"serviceClassName",
			"serviceDNSName",
			"serviceDNSNameType",
			"vendor",
			"versionNumber",
			"versionNumberHi",
			"versionNumberLo"},
	ASN1ObjID	{1 2 840 113556 1 5 126}
}

-- Object class definition for Service-Instance
"serviceInstance" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"displayName",
			"serviceClassID"},
	MayContain	{"serviceInstanceVersion",
			"winsockAddresses"},
	ASN1ObjID	{1 2 840 113556 1 5 30}
}

-- Object class definition for Storage
"storage" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"iconPath",
			"moniker",
			"monikerDisplayName"},
	ASN1ObjID	{1 2 840 113556 1 5 33}
}

-- Object class definition for User
"User" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Organizational Person"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"aCSPolicyName",
			"accountExpires",
			"accountNameHistory",
			"adminCount",
			"altSecurityIdentities",
			"audio",
			"badPasswordTime",
			"badPwdCount",
			"businessCategory",
			"carLicense",
			"codePage",
			"controlAccessRights",
			"dBCSPwd",
			"defaultClassStore",
			"departmentNumber",
			"description",
			"desktopProfile",
			"displayName",
			"dynamicLDAPServer",
			"NSCP:employeeNumber",
			"employeeType",
			"garbageCollPeriod",
			"gecos",
			"gidNumber",
			"Given Name",
			"groupMembershipSAM",
			"groupPriority",
			"groupsToIgnore",
			"mSDS:HomeDirectory",
			"homeDrive",
			"homePhone",
			"msds:homePostalAddress",
			"info",
			"initials",
			"jpegPhoto",
			"labeledURI",
			"lastLogoff",
			"lastLogon",
			"lastLogonTimestamp",
			"legacyExchangeDN",
			"lmPwdHistory",
			"localeID",
			"lockoutTime",
			"loginShell",
			"logonCount",
			"logonHours",
			"logonWorkstation",
			"mS-DS-CreatorSID",
			"mSMQDigests",
			"mSMQDigestsMig",
			"mSMQSignCertificates",
			"mSMQSignCertificatesMig",
			"Internet EMail Address",
			"manager",
			"maxStorage",
			"mobile",
			"msCOM-UserPartitionSetLink",
			"msDRM-IdentityCertificate",
			"msDS-Cached-Membership",
			"msDS-Cached-Membership-Time-Stam",
			"msDS-KeyVersionNumber",
			"msDS-Site-Affinity",
			"msDS-User-Account-Control-Comput",
			"msExchAssistantName",
			"msExchLabeledURI",
			"msIIS-FTPDir",
			"msIIS-FTPRoot",
			"msNPAllowDialin",
			"msNPCallingStationID",
			"msNPSavedCallingStationID",
			"msRADIUSCallbackNumber",
			"msRADIUSFramedIPAddress",
			"msRADIUSFramedRoute",
			"msRADIUSServiceType",
			"msRASSavedCallbackNumber",
			"msRASSavedFramedIPAddress",
			"msRASSavedFramedRoute",
			"nTSecurityDescriptor",
			"Network Address",
			"nisPublicKey",
			"nisSecretKey",
			"ntPwdHistory",
			"o",
			"objectSid",
			"operatorCount",
			"otherLoginWorkstations",
			"pager",
			"photo",
			"preferredLanguage",
			"preferredOU",
			"primaryGroupID",
			"profilePath",
			"rid",
			"roomNumber",
			"sAMAccountName",
			"sAMAccountType",
			"sIDHistory",
			"scriptPath",
			"secretary",
			"securityIdentifier",
			"servicePrincipalName",
			"showInAddressBook",
			"supplementalCredentials",
			"Telephone Number",
			"terminalServer",
			"textEncodedORAddress",
			"tokenGroups",
			"tokenGroupsGlobalAndUniversal",
			"tokenGroupsNoGCAcceptable",
			"uniqueID",
			"uidNumber",
			"unicodePwd",
			"homeDirectory",
			"unixUserPassword",
			"userAccountControl",
			"userCert",
			"userCertificate",
			"userPKCS12",
			"userParameters",
			"userPrincipalName",
			"userSMIMECertificate",
			"userSharedFolder",
			"userSharedFolderOther",
			"userWorkstations",
			"x500uniqueIdentifier"},
	ASN1ObjID	{2 16 840 1 113730 3 2 2}
}

-- Object class definition for Volume
"mSDS:Volume" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"connectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"uNCName"},
	MayContain	{"contentIndexingAllowed",
			"lastContentIndexed"},
	ASN1ObjID	{1 2 840 113556 1 5 36}
}

-- Object class definition for Computer
"mSDS:Computer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"User"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"objectSid",
			"sAMAccountName"},
	MayContain	{"accountNameHistory",
			"altSecurityIdentities",
			"catalogs",
			"cn",
			"dNSHostName",
			"defaultLocalPolicyObject",
			"description",
			"garbageCollPeriod",
			"gecos",
			"gidNumber",
			"info",
			"labeledURI",
			"legacyExchangeDN",
			"localPolicyFlags",
			"location",
			"loginShell",
			"machineRole",
			"managedBy",
			"msDS-AdditionalDnsHostName",
			"msDS-AdditionalSamAccountName",
			"msDS-KeyVersionNumber",
			"msExchAssistantName",
			"msExchLabeledURI",
			"nTSecurityDescriptor",
			"netbootGUID",
			"netbootInitialization",
			"netbootMachineFilePath",
			"netbootMirrorDataFile",
			"netbootSIFFile",
			"Network Address",
			"nisPublicKey",
			"nisSecretKey",
			"operatingSystem",
			"operatingSystemHotfix",
			"operatingSystemServicePack",
			"operatingSystemVersion",
			"physicalLocationObject",
			"policyReplicationFlags",
			"rIDSetReferences",
			"rid",
			"sAMAccountType",
			"sIDHistory",
			"secretary",
			"securityIdentifier",
			"showInAddressBook",
			"siteGUID",
			"supplementalCredentials",
			"Telephone Number",
			"textEncodedORAddress",
			"tokenGroups",
			"tokenGroupsGlobalAndUniversal",
			"tokenGroupsNoGCAcceptable",
			"uniqueID",
			"uidNumber",
			"homeDirectory",
			"unixUserPassword",
			"userCert",
			"userCertificate",
			"userSMIMECertificate",
			"volumeCount"},
	ASN1ObjID	{1 2 840 113556 1 3 30}
}

-- Object class definition for inetOrgPerson
"User" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	SubClassOf	{"Organizational Person"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	MayContain	{"accountNameHistory",
			"altSecurityIdentities",
			"audio",
			"businessCategory",
			"carLicense",
			"departmentNumber",
			"description",
			"displayName",
			"NSCP:employeeNumber",
			"employeeType",
			"garbageCollPeriod",
			"gecos",
			"gidNumber",
			"Given Name",
			"homePhone",
			"msds:homePostalAddress",
			"info",
			"initials",
			"jpegPhoto",
			"labeledURI",
			"legacyExchangeDN",
			"loginShell",
			"Internet EMail Address",
			"manager",
			"mobile",
			"msDS-KeyVersionNumber",
			"msExchAssistantName",
			"msExchLabeledURI",
			"nTSecurityDescriptor",
			"nisPublicKey",
			"nisSecretKey",
			"o",
			"objectSid",
			"pager",
			"photo",
			"preferredLanguage",
			"rid",
			"roomNumber",
			"sAMAccountName",
			"sAMAccountType",
			"sIDHistory",
			"secretary",
			"securityIdentifier",
			"showInAddressBook",
			"supplementalCredentials",
			"Telephone Number",
			"textEncodedORAddress",
			"tokenGroups",
			"tokenGroupsGlobalAndUniversal",
			"tokenGroupsNoGCAcceptable",
			"uniqueID",
			"uidNumber",
			"homeDirectory",
			"unixUserPassword",
			"userCert",
			"userCertificate",
			"userPKCS12",
			"userSMIMECertificate",
			"x500uniqueIdentifier"},
	ASN1ObjID	{2 16 840 1 113730 3 2 2}
}

-- Object class definition for MS-SQL-OLAPServer
"mS-SQL-OLAPServer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"serviceConnectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-Build",
			"mS-SQL-Contact",
			"mS-SQL-InformationURL",
			"mS-SQL-Keywords",
			"mS-SQL-Language",
			"mS-SQL-Name",
			"mS-SQL-PublicationURL",
			"mS-SQL-RegisteredOwner",
			"mS-SQL-ServiceAccount",
			"mS-SQL-Status",
			"mS-SQL-Version"},
	ASN1ObjID	{1 2 840 113556 1 5 185}
}

-- Object class definition for MS-SQL-SQLServer
"mS-SQL-SQLServer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"serviceConnectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"mS-SQL-AppleTalk",
			"mS-SQL-Build",
			"mS-SQL-CharacterSet",
			"mS-SQL-Clustered",
			"mS-SQL-Contact",
			"mS-SQL-GPSHeight",
			"mS-SQL-GPSLatitude",
			"mS-SQL-GPSLongitude",
			"mS-SQL-InformationURL",
			"mS-SQL-Keywords",
			"mS-SQL-LastUpdatedDate",
			"mS-SQL-Location",
			"mS-SQL-Memory",
			"mS-SQL-MultiProtocol",
			"mS-SQL-Name",
			"mS-SQL-NamedPipe",
			"mS-SQL-RegisteredOwner",
			"mS-SQL-SPX",
			"mS-SQL-ServiceAccount",
			"mS-SQL-SortOrder",
			"mS-SQL-Status",
			"mS-SQL-TCPIP",
			"mS-SQL-UnicodeSortOrder",
			"mS-SQL-Vines"},
	ASN1ObjID	{1 2 840 113556 1 5 184}
}

-- Object class definition for ms-PKI-Key-Recovery-Agent
"msPKI-Key-Recovery-Agent" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"User"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"objectSid",
			"sAMAccountName"},
	MayContain	{"accountNameHistory",
			"altSecurityIdentities",
			"cn",
			"description",
			"garbageCollPeriod",
			"gecos",
			"gidNumber",
			"info",
			"labeledURI",
			"legacyExchangeDN",
			"loginShell",
			"msDS-KeyVersionNumber",
			"msExchAssistantName",
			"msExchLabeledURI",
			"nTSecurityDescriptor",
			"nisPublicKey",
			"nisSecretKey",
			"rid",
			"sAMAccountType",
			"sIDHistory",
			"secretary",
			"securityIdentifier",
			"showInAddressBook",
			"supplementalCredentials",
			"Telephone Number",
			"textEncodedORAddress",
			"tokenGroups",
			"tokenGroupsGlobalAndUniversal",
			"tokenGroupsNoGCAcceptable",
			"uniqueID",
			"uidNumber",
			"homeDirectory",
			"unixUserPassword",
			"userCert",
			"userCertificate",
			"userSMIMECertificate"},
	ASN1ObjID	{1 2 840 113556 1 5 195}
}

-- Object class definition for rpc-Group
"rpcGroup" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"rpcEntry"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"rpcNsGroup",
			"rpcNsObjectID"},
	ASN1ObjID	{1 2 840 113556 1 5 80}
}

-- Object class definition for rpc-Profile
"rpcProfile" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"rpcEntry"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 82}
}

-- Object class definition for rpc-Profile-Element
"rpcProfileElement" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"rpcEntry"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"rpcNsInterfaceID",
			"rpcNsPriority"},
	MayContain	{"rpcNsAnnotation",
			"rpcNsProfileEntry"},
	ASN1ObjID	{1 2 840 113556 1 5 26}
}

-- Object class definition for rpc-Server
"rpcServer" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"rpcEntry"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"rpcNsCodeset",
			"rpcNsEntryFlags",
			"rpcNsObjectID"},
	ASN1ObjID	{1 2 840 113556 1 5 81}
}

-- Object class definition for rpc-Server-Element
"rpcServerElement" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"rpcEntry"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn",
			"rpcNsBindings",
			"rpcNsInterfaceID",
			"rpcNsTransferSyntax"},
	ASN1ObjID	{1 2 840 113556 1 5 73}
}

-- Object class definition for Service-Administration-Point
"serviceAdministrationPoint" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"serviceConnectionPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	ASN1ObjID	{1 2 840 113556 1 5 94}
}

-- Object class definition for Intellimirror-SCP
"intellimirrorSCP" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"serviceAdministrationPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"netbootAllowNewClients",
			"netbootAnswerOnlyValidClients",
			"netbootAnswerRequests",
			"netbootCurrentClientCount",
			"netbootIntelliMirrorOSes",
			"netbootLimitClients",
			"netbootLocallyInstalledOSes",
			"netbootMachineFilePath",
			"netbootMaxClients",
			"netbootNewMachineNamingPolicy",
			"netbootNewMachineOU",
			"netbootServer",
			"netbootTools"},
	ASN1ObjID	{1 2 840 113556 1 5 151}
}

-- Object class definition for Remote-Storage-Service-Point
"remoteStorageServicePoint" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"serviceAdministrationPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"remoteStorageGUID"},
	ASN1ObjID	{1 2 840 113556 1 5 146}
}

-- Object class definition for RRAS-Administration-Connection-Point
"rRASAdministrationConnectionPoin" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"serviceAdministrationPoint"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Top"},
	NamedBy		{"cn"},
	MustContain	{"cn"},
	MayContain	{"msRRASAttribute"},
	ASN1ObjID	{1 2 840 113556 1 5 150}
}

-- Structure rule definition for account
"account" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for ACS-Policy
"aCSPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ACS-Resource-Limits
"aCSResourceLimits" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ACS-Subnet
"aCSSubnet" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Address-Book-Container
"addressBookContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"addressBookContainer",
			"configuration"}
}

-- Structure rule definition for Application-Entity
"applicationEntity" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"applicationProcess",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Application-Process
"applicationProcess" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Application-Settings
"applicationSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Server"}
}

-- Structure rule definition for Application-Site-Settings
"applicationSiteSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"site"}
}

-- Structure rule definition for Attribute-Schema
"attributeSchema" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:DMD"}
}

-- Structure rule definition for Automount Information
"automount" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"automountMap",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Automount Map
"automountMap" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for Builtin-Domain
"builtinDomain" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Class-Schema
"classSchema" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:DMD"}
}

-- Structure rule definition for Class-Store
"classStore" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"classStore",
			"mSDS:Computer",
			"container",
			"Country",
			"domain",
			"domainPolicy",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Configuration
"configuration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Container
"container" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"container",
			"Country",
			"domain",
			"groupPolicyContainer",
			"Locality",
			"msDS-AzAdminManager",
			"msDS-AzApplication",
			"msDS-AzScope",
			"nTDSService",
			"Organization",
			"Organizational Unit",
			"mSDS:Server",
			"subnet"}
}

-- Structure rule definition for Control-Access-Right
"controlAccessRight" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for CRL-Distribution-Point
"cRLDistributionPoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Cross-Ref
"crossRef" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"crossRefContainer"}
}

-- Structure rule definition for Cross-Ref-Container
"crossRefContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration"}
}

-- Structure rule definition for Device
"Device" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Dfs-Configuration
"dfsConfiguration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Display-Specifier
"displaySpecifier" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Display-Template
"displayTemplate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for DMD
"mSDS:DMD" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration"}
}

-- Structure rule definition for Dns-Node
"dnsNode" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"dnsZone"}
}

-- Structure rule definition for Dns-Zone
"dnsZone" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for document
"document" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for documentSeries
"documentSeries" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for Domain
"domain" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"domain",
			"Organization"}
}

-- Structure rule definition for DS-UI-Settings
"dSUISettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for DUAConfigProfile
"DUAConfigProfile" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"container"}
}

-- Structure rule definition for File-Link-Tracking
"fileLinkTracking" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for File-Link-Tracking-Entry
"fileLinkTrackingEntry" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"fileLinkTracking"}
}

-- Structure rule definition for Foreign-Security-Principal
"foreignSecurityPrincipal" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for FT-Dfs
"fTDfs" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"dfsConfiguration"}
}

-- Structure rule definition for Group
"Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"builtinDomain",
			"container",
			"Country",
			"domain",
			"Locality",
			"msDS-AzAdminManager",
			"msDS-AzApplication",
			"msDS-AzScope",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Group-Of-Names
"Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for groupOfUniqueNames
"Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Infrastructure-Update
"infrastructureUpdate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Country",
			"domain",
			"infrastructureUpdate",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Intellimirror-Group
"intellimirrorGroup" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Inter-Site-Transport
"interSiteTransport" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"interSiteTransportContainer"}
}

-- Structure rule definition for Inter-Site-Transport-Container
"interSiteTransportContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"sitesContainer"}
}

-- Structure rule definition for Locality
"Locality" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Lost-And-Found
"lostAndFound" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"Country",
			"mSDS:DMD",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Meeting
"meeting" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for This class represents an 802.11 wireless network group policy object.  This class contains identifiers and configuration data relevant to an 802.11 wireless network.
"ms-net-ieee-80211-GroupPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for This class represents an 802.3 wired network group policy object.  This class contains identifiers and configuration data relevant to an 802.3 wired network.
"ms-net-ieee-8023-GroupPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for MS-SQL-OLAPCube
"mS-SQL-OLAPCube" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mS-SQL-OLAPDatabase"}
}

-- Structure rule definition for MS-SQL-OLAPDatabase
"mS-SQL-OLAPDatabase" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mS-SQL-OLAPServer"}
}

-- Structure rule definition for MS-SQL-SQLDatabase
"mS-SQL-SQLDatabase" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mS-SQL-SQLServer"}
}

-- Structure rule definition for MS-SQL-SQLPublication
"mS-SQL-SQLPublication" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mS-SQL-SQLServer"}
}

-- Structure rule definition for MS-SQL-SQLRepository
"mS-SQL-SQLRepository" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mS-SQL-SQLServer"}
}

-- Structure rule definition for ms-COM-Partition
"msCOM-Partition" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for ms-COM-PartitionSet
"msCOM-PartitionSet" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for MS-DS-Az-Admin-Manager
"msDS-AzAdminManager" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for MS-DS-Az-Application
"msDS-AzApplication" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msDS-AzAdminManager"}
}

-- Structure rule definition for MS-DS-Az-Operation
"msDS-AzOperation" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"msDS-AzApplication"}
}

-- Structure rule definition for MS-DS-Az-Role
"msDS-AzRole" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"msDS-AzApplication",
			"msDS-AzScope"}
}

-- Structure rule definition for MS-DS-Az-Scope
"msDS-AzScope" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msDS-AzApplication"}
}

-- Structure rule definition for MS-DS-Az-Task
"msDS-AzTask" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"msDS-AzApplication",
			"msDS-AzScope"}
}

-- Structure rule definition for ms-DS-Quota-Container
"msDS-QuotaContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for ms-DS-Quota-Control
"msDS-QuotaControl" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msDS-QuotaContainer"}
}

-- Structure rule definition for ms-ieee-80211-Policy
"msieee80211-Policy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for MSMQ-Custom-Recipient
"msMQ-Custom-Recipient" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for MSMQ-Group
"msMQ-Group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Organizational Unit"}
}

-- Structure rule definition for MSMQ-Configuration
"mSMQConfiguration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer"}
}

-- Structure rule definition for MSMQ-Enterprise-Settings
"mSMQEnterpriseSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for MSMQ-Migrated-User
"mSMQMigratedUser" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"builtinDomain",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for MSMQ-Queue
"mSMQQueue" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSMQConfiguration"}
}

-- Structure rule definition for MSMQ-Settings
"mSMQSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Server"}
}

-- Structure rule definition for MSMQ-Site-Link
"mSMQSiteLink" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSMQEnterpriseSettings"}
}

-- Structure rule definition for ms-PKI-Enterprise-Oid
"msPKI-Enterprise-Oid" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"msPKI-Enterprise-Oid"}
}

-- Structure rule definition for ms-PKI-Private-Key-Recovery-Agent
"msPKI-PrivateKeyRecoveryAgent" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for msTAPI-RtConference
"msTAPI-RtConference" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Organizational Unit"}
}

-- Structure rule definition for msTAPI-RtPerson
"msTAPI-RtPerson" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for ms-WMI-ObjectEncoding
"msWMI-ObjectEncoding" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ms-WMI-PolicyTemplate
"msWMI-PolicyTemplate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ms-WMI-PolicyType
"msWMI-PolicyType" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ms-WMI-RangeParam
"msWMI-RangeParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-Rule
"msWMI-Rule" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"msWMI-Som"}
}

-- Structure rule definition for ms-WMI-ShadowObject
"msWMI-ShadowObject" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-PolicyType"}
}

-- Structure rule definition for ms-WMI-Som
"msWMI-Som" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ms-WMI-WMIGPO
"msWMI-WMIGPO" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for NTDS-Service
"nTDSService" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for NTFRS-Member
"nTFRSMember" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"nTFRSReplicaSet"}
}

-- Structure rule definition for NTFRS-Replica-Set
"nTFRSReplicaSet" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"nTFRSSettings"}
}

-- Structure rule definition for NTFRS-Subscriber
"nTFRSSubscriber" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"nTFRSSubscriptions"}
}

-- Structure rule definition for NTFRS-Subscriptions
"nTFRSSubscriptions" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"nTFRSMember",
			"nTFRSSubscriptions"}
}

-- Structure rule definition for Abstraction of an Open Network Computing (ONC) Remote Procedure Call (RPC) binding
"oncRpc" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for Organization
"Organization" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Locality"}
}

-- Structure rule definition for Organizational-Role
"Organizational Role" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Organizational-Unit
"Organizational Unit" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Package-Registration
"packageRegistration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"classStore"}
}

-- Structure rule definition for Person
"Person" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for PKI-Certificate-Template
"pKICertificateTemplate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for PKI-Enrollment-Service
"pKIEnrollmentService" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Privilege
"privilege" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Query-Policy
"queryPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Remote-Mail-Recipient
"remoteMailRecipient" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for RID-Manager
"rIDManager" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for RID-Set
"rIDSet" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for room
"room" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Organizational Unit"}
}

-- Structure rule definition for RRAS-Administration-Dictionary
"rRASAdministrationDictionary" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Security-Object
"securityObject" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Server
"mSDS:Server" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"serversContainer"}
}

-- Structure rule definition for Servers-Container
"serversContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"site"}
}

-- Structure rule definition for Site
"site" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"sitesContainer"}
}

-- Structure rule definition for Site-Link
"siteLink" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"interSiteTransport"}
}

-- Structure rule definition for Site-Link-Bridge
"siteLinkBridge" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"interSiteTransport"}
}

-- Structure rule definition for Sites-Container
"sitesContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration"}
}

-- Structure rule definition for Subnet
"subnet" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"subnetContainer"}
}

-- Structure rule definition for Subnet-Container
"subnetContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"sitesContainer"}
}

-- Structure rule definition for Type-Library
"typeLibrary" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"classStore"}
}

-- Structure rule definition for Address-Template
"addressTemplate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Application-Version
"applicationVersion" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit",
			"mSDS:Server"}
}

-- Structure rule definition for Category-Registration
"categoryRegistration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"classStore"}
}

-- Structure rule definition for Class-Registration
"classRegistration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"classStore"}
}

-- Structure rule definition for Connection-Point
"connectionPoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for Domain-Policy
"domainPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for DSA
"dSA" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"applicationProcess",
			"mSDS:Computer",
			"container",
			"Organizational Unit",
			"mSDS:Server"}
}

-- Structure rule definition for friendlyCountry
"friendlyCountry" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Group-Policy-Container
"groupPolicyContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"container",
			"Country",
			"domain",
			"groupPolicyContainer",
			"Locality",
			"msDS-AzAdminManager",
			"msDS-AzApplication",
			"msDS-AzScope",
			"nTDSService",
			"Organization",
			"Organizational Unit",
			"mSDS:Server",
			"subnet"}
}

-- Structure rule definition for Ipsec-Filter
"ipsecFilter" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Ipsec-ISAKMP-Policy
"ipsecISAKMPPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Ipsec-Negotiation-Policy
"ipsecNegotiationPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Ipsec-NFA
"ipsecNFA" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Ipsec-Policy
"ipsecPolicy" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Licensing-Site-Settings
"licensingSiteSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"site"}
}

-- Structure rule definition for Link-Track-Object-Move-Table
"linkTrackObjectMoveTable" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"fileLinkTracking"}
}

-- Structure rule definition for Link-Track-OMT-Entry
"linkTrackOMTEntry" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"linkTrackObjectMoveTable"}
}

-- Structure rule definition for Link-Track-Vol-Entry
"linkTrackVolEntry" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"linkTrackVolumeTable"}
}

-- Structure rule definition for Link-Track-Volume-Table
"linkTrackVolumeTable" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"fileLinkTracking"}
}

-- Structure rule definition for ms-DS-App-Configuration
"msDS-App-Configuration" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit",
			"mSDS:Server"}
}

-- Structure rule definition for ms-DS-App-Data
"msDS-AppData" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit",
			"mSDS:Server"}
}

-- Structure rule definition for ms-Exch-Configuration-Container
"msExchConfigurationContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"container",
			"Country",
			"domain",
			"groupPolicyContainer",
			"Locality",
			"msDS-AzAdminManager",
			"msDS-AzApplication",
			"msDS-AzScope",
			"nTDSService",
			"Organization",
			"Organizational Unit",
			"mSDS:Server",
			"subnet"}
}

-- Structure rule definition for ms-WMI-IntRangeParam
"msWMI-IntRangeParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-IntSetParam
"msWMI-IntSetParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-MergeablePolicyTemplate
"msWMI-MergeablePolicyTemplate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ms-WMI-RealRangeParam
"msWMI-RealRangeParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-SimplePolicyTemplate
"msWMI-SimplePolicyTemplate" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for ms-WMI-StringSetParam
"msWMI-StringSetParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-UintRangeParam
"msWMI-UintRangeParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-UintSetParam
"msWMI-UintSetParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for ms-WMI-UnknownRangeParam
"msWMI-UnknownRangeParam" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"msWMI-MergeablePolicyTemplate"}
}

-- Structure rule definition for NTDS-Connection
"nTDSConnection" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"nTDSDSA",
			"nTFRSMember",
			"nTFRSReplicaSet"}
}

-- Structure rule definition for NTDS-DSA
"nTDSDSA" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"Organization",
			"mSDS:Server"}
}

-- Structure rule definition for NTDS-Site-Settings
"nTDSSiteSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"site"}
}

-- Structure rule definition for NTFRS-Settings
"nTFRSSettings" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"nTFRSSettings",
			"Organization",
			"Organizational Unit",
			"mSDS:Server"}
}

-- Structure rule definition for Organizational-Person
"Organizational Person" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"builtinDomain",
			"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Physical-Location
"physicalLocation" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit",
			"physicalLocation"}
}

-- Structure rule definition for Residential-Person
"residentialPerson" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Locality",
			"Organizational Unit"}
}

-- Structure rule definition for rFC822LocalPart
"rFC822LocalPart" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"domain",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Rpc-Container
"rpcContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"configuration",
			"container",
			"Country",
			"domain",
			"groupPolicyContainer",
			"Locality",
			"msDS-AzAdminManager",
			"msDS-AzApplication",
			"msDS-AzScope",
			"nTDSService",
			"Organization",
			"Organizational Unit",
			"mSDS:Server",
			"subnet"}
}

-- Structure rule definition for Sam-Server
"samServer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Secret
"secret" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Service-Class
"serviceClass" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Trusted-Domain
"trustedDomain" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

-- Structure rule definition for Com-Connection-Point
"comConnectionPoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for Contact
"contact" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"builtinDomain",
			"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Index-Server-Catalog
"indexServerCatalog" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Print-Queue
"printQueue" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for rpc-Entry
"rpcEntry" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for Service-Connection-Point
"serviceConnectionPoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Service-Instance
"serviceInstance" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for Storage
"storage" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for Volume
"mSDS:Volume" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for Computer
"mSDS:Computer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"builtinDomain",
			"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for MS-SQL-OLAPServer
"mS-SQL-OLAPServer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit",
			"serviceConnectionPoint"}
}

-- Structure rule definition for MS-SQL-SQLServer
"mS-SQL-SQLServer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit",
			"serviceConnectionPoint"}
}

-- Structure rule definition for ms-PKI-Key-Recovery-Agent
"msPKI-Key-Recovery-Agent" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"builtinDomain",
			"container",
			"Country",
			"domain",
			"Locality",
			"Organization",
			"Organizational Unit"}
}

-- Structure rule definition for rpc-Group
"rpcGroup" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for rpc-Profile
"rpcProfile" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for rpc-Profile-Element
"rpcProfileElement" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"rpcProfile"}
}

-- Structure rule definition for rpc-Server
"rpcServer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container"}
}

-- Structure rule definition for rpc-Server-Element
"rpcServerElement" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"rpcServer"}
}

-- Structure rule definition for Service-Administration-Point
"serviceAdministrationPoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for Intellimirror-SCP
"intellimirrorSCP" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"intellimirrorGroup",
			"Organizational Unit"}
}

-- Structure rule definition for Remote-Storage-Service-Point
"remoteStorageServicePoint" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule definition for RRAS-Administration-Connection-Point
"rRASAdministrationConnectionPoin" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"mSDS:Computer",
			"container",
			"Organizational Unit"}
}

-- Structure rule compatibility definition for 
"nspmPasswordPolicyContainer" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	ContainedBy	{"container"}
}

"Server" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"serverReference",
			 "crossRefReference"}
}

END
